<?php

class Quidus_Clients extends SiteOrigin_Widget {
	function __construct() {

		parent::__construct(
			'quidus-clients',
			__('Quidus Clients', 'quidus'),
			array(
				'description' => __('Show all the companies you have worked with.', 'quidus')
			),
			array(),
			array(
			'widget_title' => array('type' => 'text','label' => __( 'Widget Title', 'quidus' ),'default' => ''),
				'clients' => array(
					'type' => 'repeater',
					'label' => __( 'Clients', 'quidus' ),
					'item_label' => array(
						'selector'     => "[id*='title']"
					),
					
					'fields' => array(
					
						'client_image' => array(
							'type' => 'media',
							'label' => __( 'Image', 'quidus')
						),
						
						'client_title' => array(
							'type' => 'text',
							'label' => __('Title', 'quidus'),
						),
					)
				),
				
				'columns_desktop' => array(
					'type' => 'slider',
					'label' => __( 'Number Of Columns On Desktop', 'quidus' ),
					'min' => 1,
					'max' => 5,
					'default' => 3
				),

				'columns_tablet_large' => array(
					'type' => 'slider',
					'label' => __( 'Number Of Columns On Large Tablet', 'quidus' ),
					'min' => 1,
					'max' => 4,
					'default' => 3
				),

				'columns_tablet_small' => array(
					'type' => 'slider',
					'label' => __( 'Number Of Columns On Small Tablet', 'quidus' ),
					'min' => 1,
					'max' => 3,
					'default' => 2
				),
				
				'item_height' => array(
					'type' => 'text',
					'label' => __( 'Item Height', 'quidus' ),
					'default' => ''
				),
				
				'clients_style' => array(
					'type' => 'select',
					'label' => __( 'Choose Clients Widget Styling', 'quidus' ),
					'default' => 'clients_style_1',
					'options' => array(
						'clients_style_1' => __( 'Style 1', 'quidus' ),
						'clients_style_2' => __( 'Style 2', 'quidus' )
					)
				),
				
			),
			plugin_dir_path(__FILE__)
		);

	}

	function get_template_name($instance) {
		return 'Quidus-Clients';
	}
}

siteorigin_widget_register('quidus-clients', __FILE__, 'Quidus_Clients');