<?php $body_font = get_theme_mod('quidus_body_font', array( 'font-family' => 'Sanchez' ));
	
	/* ----------------------------------------- */
		
	/* ------ // Typography -> Content Meta // ------ */
		
	/* ----------------------------------------- */
	
	/* Enable Custom Content Meta Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'setting'     => 'quidus_content_meta_typography_enable',
		'label'       => __( 'Enable Custom Single Post Content Meta Typography', 'quidus' ),'description' => __( 'Also applies to blog, archive, category, and other pages that contain excerpt.', 'quidus'),
		'section'     => 'quidus_typography_content_meta',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* Content Meta Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'setting'     => 'quidus_content_meta_size',
		'label'       => __( 'Single Post Content Meta Font Size', 'quidus' ),
		'section'     => 'quidus_typography_content_meta',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	));
	
	/* Custom Content Meta Settings */
	$body_font_default = is_array($body_font) ? $body_font["font-family"] : "Sanchez";
	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_content_meta_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_content_meta',
		'default'     => array(
			'font-family'    => $body_font_default,
			'font-weight'    => '400',
			'line-height'    => '1.6',
			'letter-spacing' => '1',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => true,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );
	
	/* Enable Custom Content Meta Icon Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'setting'     => 'quidus_content_meta_icon_typography_enable',
		'label'       => __( 'Enable Custom Single Post Content Meta Icon Typography', 'quidus' ),'description' => __( 'Also applies to blog, archive, category, and other pages that contain excerpt.', 'quidus'),
		'section'     => 'quidus_typography_content_meta',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* Content Meta Icon Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'setting'     => 'quidus_content_meta_icon_size',
		'label'       => __( 'Single Post Content Meta Icon Font Size', 'quidus' ),
		'section'     => 'quidus_typography_content_meta',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	));
	
	/* Custom Content Meta Icon Settings */

	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_content_meta_icon_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_content_meta',
		'default'     => array(

			'font-weight'    => '400',
			'line-height' => '1.6',
			'letter-spacing' => '1',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,

			'font-size'      => false,
			'font-weight'    => true,
			'line-height' => true,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );
	
	/* Content Meta Icon Top */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'setting'     => 'quidus_content_meta_icon_top',
		'label'       => __( 'Single Post Content Meta Icon Spacing From Top', 'quidus' ),
		'section'     => 'quidus_typography_content_meta',
		'default'     => 0,
		'priority'    => 10,
		'choices'     => array(
			'min'  => -25,
			'max'  => 25,
			'step' => 1
		),
	));

?>