<?php

/**
 * Quidus Customizer functionality
*/

/**
 * Add postMessage support for site title and description for the Customizer.
 *
 *
 * @param WP_Customize_Manager $wp_customize Customizer object.
*/

if( class_exists( 'Kirki' ) ) {

	Kirki::add_config( 'quidus', array(
		'capability'    => 'edit_theme_options',
		'option_type'   => 'theme_mod'
	) );
	
}

/* Load Panels */

require get_template_directory() . '/inc/customizer-panels.php';

/* Load Sections */

require get_template_directory() . '/inc/customizer-sections.php';
require get_template_directory() . '/inc/Typography/customizer-sections_typography.php';
require get_template_directory() . '/inc/Color/customizer-sections_color.php';

/* Load Layout */

if( class_exists( 'Kirki' ) ) {

require get_template_directory() . '/inc/customizer-layout_global.php';
require get_template_directory() . '/inc/customizer-layout_home.php';
require get_template_directory() . '/inc/customizer-layout_single_post.php';
require get_template_directory() . '/inc/customizer-layout_search.php';
require get_template_directory() . '/inc/customizer-layout_header.php';

/* Load Social Icons */

require get_template_directory() . '/inc/customizer-social.php';

/* Load Colors */

require get_template_directory() . '/inc/Color/customizer-color_global.php';
require get_template_directory() . '/inc/Color/customizer-color_headings.php';
require get_template_directory() . '/inc/Color/customizer-color_widget_title.php';
require get_template_directory() . '/inc/Color/customizer-color_address.php';
require get_template_directory() . '/inc/Color/customizer-color_content_meta.php';
require get_template_directory() . '/inc/Color/customizer-color_dd.php';
require get_template_directory() . '/inc/Color/customizer-color_dt.php';
require get_template_directory() . '/inc/Color/customizer-color_p.php';
require get_template_directory() . '/inc/Color/customizer-color_td.php';
require get_template_directory() . '/inc/Color/customizer-color_th.php';
require get_template_directory() . '/inc/Color/customizer-color_blockquote.php';
require get_template_directory() . '/inc/Color/customizer-color_a.php';
require get_template_directory() . '/inc/Color/customizer-color_header.php';
require get_template_directory() . '/inc/Color/customizer-color_footer.php';

/* Load Site Identity */

require get_template_directory() . '/inc/customizer-site_identity.php';

/* Load Typography */

require get_template_directory() . '/inc/Typography/customizer-typography_global.php';
$body_font = get_theme_mod('quidus_body_font', array( 'font-family' => 'Sanchez' ));
$headings_font = get_theme_mod('quidus_header_font', array( 'font-family' => 'Montserrat' ));
require get_template_directory() . '/inc/Typography/customizer-typography_headings.php';
require get_template_directory() . '/inc/Typography/customizer-typography_widget_title.php';
require get_template_directory() . '/inc/Typography/customizer-typography_address.php';
require get_template_directory() . '/inc/Typography/customizer-typography_content_meta.php';
require get_template_directory() . '/inc/Typography/customizer-typography_dd.php';
require get_template_directory() . '/inc/Typography/customizer-typography_dt.php';
require get_template_directory() . '/inc/Typography/customizer-typography_p.php';
require get_template_directory() . '/inc/Typography/customizer-typography_td.php';
require get_template_directory() . '/inc/Typography/customizer-typography_th.php';
require get_template_directory() . '/inc/Typography/customizer-typography_blockquote.php';
require get_template_directory() . '/inc/Typography/customizer-typography_header.php';

}

function quidus_css_customizer() {

	/* Global Settings */
	
	global $sl;
	global $fwl;
	global $cwl;
	global $cwlm;
	global $wemw;
	global $quidus_color_special;
	global $quidus_color_main;
	global $quidus_color_secondary;
	global $footer_background_image;
	global $copyright_information;
	global $minimum_left_sidebar_width;
	global $minimum_right_sidebar_width;
	
	$copyright_information = get_theme_mod('copyright_information');
	
	/* Layout Functions */
	
	if( class_exists( 'Kirki' ) ) {
	
		if( is_page() or is_single() or (class_exists( 'WooCommerce' ) and is_product()) ) {
		
			$lm = get_layout_meta();
			$fwlm = get_footer_widgets_meta();
			$cwlm = get_content_widgets_meta();
			$wmwm = get_max_width_meta();
			$fomwm = get_max_width_meta_footer();
		}
		
		if( is_page() or is_single() or (class_exists( 'WooCommerce' ) and is_product()) ) {
		
			if ($lm == 'Inherit' or $lm == null) {
				$sl = quidus_pages_layout('Inherit','3 Columns','sidebars1');
			} else {
				$sl = $lm;
			}
			
			if ($fwlm == 'Inherit' or $fwlm == null) {
				$fwl = quidus_pages_layout('Inherit','3 Columns','footer_widgets');
			} else {
				$fwl = $fwlm;
			}
			
			if ($cwlm == 'Inherit' or $cwlm == null) {
				$cwl = quidus_pages_layout('Inherit','2 Columns','content_widgets_layout');
			} else {
				$cwl = $cwlm;
			}
			
			if (empty($wmwm) or $wmwm == null) {
			
				if (quidus_max_width('max_width') == '') {
					$wemw = get_theme_mod('quidus_layout_global_max_width', '1718px');
				} else {
					$wemw = quidus_max_width('max_width');
				}
				
			} else {
				$wemw = $wmwm;
			}
			
			if (empty($fomwm) or $fomwm == null) {
			
				if (quidus_max_width('max_width_footer') == '') {
					$fomw = get_theme_mod('quidus_layout_global_max_width', '1718px');
				} else {
					$fomw = quidus_max_width('max_width_footer');
				}
				
			} else {
				$fomw = $fomwm;
			}
			
		} else {
			$sl = quidus_pages_layout('Inherit','3 Columns','sidebars1');
			$fwl = quidus_pages_layout('Inherit','3 Columns','footer_widgets');
			$cwl = quidus_pages_layout('Inherit','2 Columns','content_widgets_layout');
			
			if (quidus_max_width('max_width') == '') {
				$wemw = get_theme_mod('quidus_layout_global_max_width', '1718px');
			} else {
				$wemw = quidus_max_width('max_width');
			}
			
			if (quidus_max_width('max_width_footer') == '') {
				$fomw = get_theme_mod('quidus_layout_global_max_width_footer', '1718px');
			} else {
				$fomw = quidus_max_width('max_width_footer');
			}
		}
		
		$footer_background_image = quidus_pages_layout('','','footer_background_image');
		
		$minimum_left_sidebar_width = quidus_min_width(320,'minimum_left_sidebar_width');
		$minimum_right_sidebar_width = quidus_min_width(320,'minimum_right_sidebar_width');
	}

	$cwd = get_theme_mod('quidus_layout_global_content_width_desktopcc', 5600);
	$swd = get_theme_mod('quidus_layout_global_sidebar_width_desktopcc', 2200);
	$rswd = get_theme_mod('quidus_layout_global_right_sidebar_width_desktopcc', 2200);
	
	if( class_exists( 'Kirki' ) ) {
		
		$lswd = (int)quidus_widths('sidebar_width_desktopcc');
		$cwdc = (int)quidus_widths('content_width_desktopcc');
		$rswdc = (int)quidus_widths('right_sidebar_width_desktopcc');
	
	}

	$quidus_color_background = get_theme_mod( 'quidus_color_background', '#f7f7f7' );
	$quidus_color_main = get_theme_mod( 'quidus_color_main', '#353535' );
	$quidus_color_secondary = get_theme_mod( 'quidus_color_secondary', '#515151' );
	$quidus_color_special = get_theme_mod( 'quidus_color_special', '#8bc34a' );
	$quidus_logo_max_width_desktop = get_theme_mod( 'quidus_logo_max_width_desktop' );
	$quidus_logo_max_width_tablet_large = get_theme_mod( 'quidus_logo_max_width_tablet_large' );
	$quidus_logo_max_width_tablet_small = get_theme_mod( 'quidus_logo_max_width_tablet_small' );
	$quidus_logo_max_width_mobile = get_theme_mod( 'quidus_logo_max_width_mobile' );
	$quidus_site_distance_from_left = get_theme_mod( 'quidus_site_distance_from_left', '5%');
	$quidus_color_content_background = get_theme_mod( 'quidus_color_content_background', '#ffffff' );
	$quidus_box_shadow_color = get_theme_mod( 'quidus_box_shadow_color', 'rgba(50, 50, 50, 0.15)' );

	/* Typography */
		
	$body_font = get_theme_mod('quidus_body_font', array( 'font-family' => 'Sanchez' ));
	$headings_font = get_theme_mod('quidus_header_font', array( 'font-family' => 'Montserrat' ));
	if (!isset($body_font)) {$body_font = array("font-family" => "Sanchez");}
	if (!isset($headings_font)) {$headings_font = array("font-family" => "Montserrat");}
	$body_font_default = is_array($body_font) ? $body_font["font-family"] : "Sanchez";
	$header_font_default = is_array($headings_font) ? $headings_font["font-family"] : "Montserrat";
	
	/* H1 */

	$quidus_h1_size = get_theme_mod( 'quidus_h1_size', 100 );
	$h1_typography = get_theme_mod('quidus_h1_typography', array( 'font-family' => $header_font_default,'font-weight' => '700','line-height' => '1.2308', 'letter-spacing' => '0' ));

	/* H2 */

	$quidus_h2_size = get_theme_mod( 'quidus_h2_size', 100 );
	$h2_typography = get_theme_mod('quidus_h2_typography', array( 'font-family' => $header_font_default,'font-weight' => '700','line-height' => '1.25', 'letter-spacing' => '0' ));

	/* H3 */
	
	$quidus_h3_size = get_theme_mod( 'quidus_h3_size', 100 );
	$h3_typography = get_theme_mod('quidus_h3_typography', array( 'font-family' => $header_font_default,'font-weight' => '700','line-height' => '1.1852', 'letter-spacing' => '0' ));

	/* H4 */

	$quidus_h4_size = get_theme_mod( 'quidus_h4_size', 100 );
	$h4_typography = get_theme_mod('quidus_h4_typography', array( 'font-family' => $header_font_default,'font-weight' => '700','line-height' => '1.4545', 'letter-spacing' => '0' ));

	/* H5 */

	$quidus_h5_size = get_theme_mod( 'quidus_h5_size', 100 );
	$h5_typography = get_theme_mod('quidus_h5_typography', array( 'font-family' => $header_font_default,'font-weight' => '700','line-height' => '1.2632', 'letter-spacing' => '1' ));

	/* H6 */
	
	$quidus_h6_size = get_theme_mod( 'quidus_h6_size', 100 );
	$h6_typography = get_theme_mod('quidus_h6_typography', array( 'font-family' => $header_font_default,'font-weight' => '700','line-height' => '1.13023', 'letter-spacing' => '1' ));

	/* Paragraph */

	$quidus_paragraph_size = get_theme_mod( 'quidus_paragraph_size', 100 );
	$paragraph_typography = get_theme_mod('quidus_paragraph_typography', array( 'font-family' => $body_font_default,'font-weight' => '400','line-height' => '1.6', 'letter-spacing' => '0' ));

	/* Address */

	$quidus_address_padding_top = get_theme_mod( 'quidus_address_typography_padding_top', '0' );
	$quidus_address_padding_bottom = get_theme_mod( 'quidus_address_typography_padding_bottom', '0' );
	$quidus_address_margin_top = get_theme_mod( 'quidus_address_typography_margin_top', '0' );
	$quidus_address_margin_bottom = get_theme_mod( 'quidus_address_typography_margin_bottom', '1em' );
	$quidus_address_size = get_theme_mod( 'quidus_address_size', 100 );
	$address_typography = get_theme_mod('quidus_address_typography', array( 'font-family' => $body_font_default,'font-weight' => '400','line-height' => '1.6', 'letter-spacing' => '0' ));

	/* Content Meta */

	$quidus_content_meta_size = get_theme_mod( 'quidus_content_meta_size', 100 );
	$content_meta_typography = get_theme_mod('quidus_content_meta_typography', array( 'font-family' => $body_font_default,'font-weight' => '400','line-height' => '1.6', 'letter-spacing' => '0' ));
	
	/* Content Meta Icon */

	$quidus_content_meta_icon_size = get_theme_mod( 'quidus_content_meta_icon_size', 100 );
	$content_meta_icon_typography = get_theme_mod('quidus_content_meta_icon_typography', array( 'font-weight' => '400', 'letter-spacing' => '0','line-height' => '1.6' ));
	$quidus_content_meta_icon_top = get_theme_mod( 'quidus_content_meta_icon_top', 0 );
	
	/* Definition List Title */

	$quidus_dt_padding_top = get_theme_mod( 'quidus_dt_typography_padding_top', '0' );
	$quidus_dt_padding_bottom = get_theme_mod( 'quidus_dt_typography_padding_bottom', '0' );
	$quidus_dt_margin_top = get_theme_mod( 'quidus_dt_typography_margin_top', '0' );
	$quidus_dt_margin_bottom = get_theme_mod( 'quidus_dt_typography_margin_bottom', '0' );
	$quidus_dt_size = get_theme_mod( 'quidus_dt_size', 100 );
	$dt_typography = get_theme_mod('quidus_dt_typography', array( 'font-family' => $header_font_default,'font-weight' => '700','line-height' => '1.6', 'letter-spacing' => '0' ));

	/* Definition List Data */

	$quidus_dd_padding_top = get_theme_mod( 'quidus_dd_typography_padding_top', '0' );
	$quidus_dd_padding_bottom = get_theme_mod( 'quidus_dd_typography_padding_bottom', '0' );
	$quidus_dd_margin_top = get_theme_mod( 'quidus_dd_typography_margin_top', '0' );
	$quidus_dd_margin_bottom = get_theme_mod( 'quidus_dd_typography_margin_bottom', '1em' );
	$quidus_dd_size = get_theme_mod( 'quidus_dd_size', 100 );
	$dd_typography = get_theme_mod('quidus_dd_typography', array( 'font-family' => $body_font_default,'font-weight' => '400','line-height' => '1.6', 'letter-spacing' => '0' ));

	/* Unordered & Ordered Lists */

	$quidus_list_size = get_theme_mod( 'quidus_list_size', 100 );
	$list_typography = get_theme_mod('quidus_list_typography', array( 'font-family' => $body_font_default,'font-weight' => '400','line-height' => '1.3', 'letter-spacing' => '0' ));

	/* Site Description */

	$quidus_site_description_size = get_theme_mod( 'quidus_site_description_size', 100 );
	$site_description_typography = get_theme_mod('quidus_site_description_typography', array( 'font-family' => $body_font_default,'font-weight' => '400', 'letter-spacing' => '0' ));
	$site_description_margin_top = get_theme_mod( 'quidus_site_description_margin_top', 28 );
	
	/* Site Title */

	$quidus_site_title_size = get_theme_mod( 'quidus_site_title_size', 100 );
	$site_title_typography = get_theme_mod('quidus_site_title_typography', array( 'font-family' => $header_font_default,'font-weight' => '700', 'letter-spacing' => '0' ));
	$site_title_margin_top = get_theme_mod( 'quidus_site_title_margin_top', 28 );

	/* Table Data */

	$quidus_td_padding_top = get_theme_mod( 'quidus_td_typography_padding_top', '0.5em' );
	$quidus_td_padding_bottom = get_theme_mod( 'quidus_td_typography_padding_bottom', '0.5em' );
	$quidus_td_padding_right = get_theme_mod( 'quidus_td_typography_padding_right', '0.5em' );
	$quidus_td_padding_left = get_theme_mod( 'quidus_td_typography_padding_left', '0.5em' );
	$quidus_td_size = get_theme_mod( 'quidus_td_size', 100 );
	$td_typography = get_theme_mod('quidus_td_typography', array( 'font-family' => $body_font_default,'font-weight' => '400','line-height' => '1.6', 'letter-spacing' => '0' ));

	/* Table Header */

	$quidus_th_padding_top = get_theme_mod( 'quidus_th_typography_padding_top', '0.5em' );
	$quidus_th_padding_bottom = get_theme_mod( 'quidus_th_typography_padding_bottom', '0.5em' );
	$quidus_th_padding_right = get_theme_mod( 'quidus_th_typography_padding_right', '0.5em' );
	$quidus_th_padding_left = get_theme_mod( 'quidus_th_typography_padding_left', '0.5em' );
	$quidus_th_size = get_theme_mod( 'quidus_th_size', 100 );
	$th_typography = get_theme_mod('quidus_th_typography', array( 'font-family' => $header_font_default,'font-weight' => '700','line-height' => '1.6', 'letter-spacing' => '0' ));

	/* Widget Title */

	$quidus_widget_title_padding_top = get_theme_mod( 'quidus_widget_title_typography_padding_top', '0.5em' );
	$quidus_widget_title_padding_bottom = get_theme_mod( 'quidus_widget_title_typography_padding_bottom', '0.5em' );
	$quidus_widget_title_margin_top = get_theme_mod( 'quidus_widget_title_typography_margin_top', '0' );
	$quidus_widget_title_margin_bottom = get_theme_mod( 'quidus_widget_title_typography_margin_bottom', '0.5em' );
	$quidus_widget_title_size = get_theme_mod( 'quidus_widget_title_size', 100 );
	$widget_title_typography = get_theme_mod('quidus_widget_title_typography', array( 'font-family' => $header_font_default,'font-weight' => '700','line-height' => '1.2632', 'letter-spacing' => '1' ));

	/* Blockquote */

	$quidus_blockquote_padding_top = get_theme_mod( 'quidus_blockquote_typography_padding_top', '0.5em' );
	$quidus_blockquote_padding_bottom = get_theme_mod( 'quidus_blockquote_typography_padding_bottom', '0.5em' );
	$quidus_blockquote_padding_right = get_theme_mod( 'quidus_blockquote_typography_padding_right', '0.85em' );
	$quidus_blockquote_padding_left = get_theme_mod( 'quidus_blockquote_typography_padding_left', '0.85em' );
	$quidus_blockquote_margin_top = get_theme_mod( 'quidus_blockquote_typography_margin_top', '0' );
	$quidus_blockquote_margin_bottom = get_theme_mod( 'quidus_blockquote_typography_margin_bottom', '1em' );
	$quidus_blockquote_size = get_theme_mod( 'quidus_blockquote_size', 100 );
	$blockquote_typography = get_theme_mod('quidus_blockquote_typography', array( 'font-family' => $body_font_default,'font-weight' => '400','line-height' => '1.6', 'letter-spacing' => '0' ));
	
	/* Menu */

	$menu_typography = get_theme_mod('quidus_menu_typography', array( 'font-family' => $body_font_default,'font-weight' => '400' ));
	$menu_margin_top = get_theme_mod( 'quidus_primary_menu_margin_top', 28 );

	/* Span */

	$quidus_span_size = get_theme_mod( 'quidus_span_size', 100 );
	$span_typography = get_theme_mod('quidus_span_typography', array( 'font-family' => $body_font_default,'font-weight' => '400','line-height' => '1.6', 'letter-spacing' => '0' ));
	
	/* Color */
	
	/* H1 */
	
	$quidus_h1_color = get_theme_mod( 'quidus_color_h1', '#353535' );
	
	/* H2 */

	$quidus_h2_color = get_theme_mod( 'quidus_color_h2', '#353535' );
	
	/* H3 */
	
	$quidus_h3_color = get_theme_mod( 'quidus_color_h3', '#353535' );
	
	/* H4 */
	
	$quidus_h4_color = get_theme_mod( 'quidus_color_h4', '#353535' );
	
	/* H5 */

	$quidus_h5_color = get_theme_mod( 'quidus_color_h5', '#353535' );
	
	/* H6 */

	$quidus_h6_color = get_theme_mod( 'quidus_color_h6', '#353535' );
	
	/* Paragraph */

	$quidus_paragraph_color = get_theme_mod( 'quidus_color_p', '#515151' );
	
	/* Address */

	$quidus_address_color = get_theme_mod( 'quidus_color_address', '#515151' );
	
	/* Content Meta */
	
	$quidus_content_meta_color = get_theme_mod( 'quidus_color_content_meta', '#353535' );
	$quidus_content_meta_icon_color = get_theme_mod( 'quidus_icon_color_content_meta', '#515151' );
	
	/* Definition List Title */

	$quidus_dt_color = get_theme_mod( 'quidus_color_dt', '#353535' );
	
	/* Definition List Data */

	$quidus_dd_color = get_theme_mod( 'quidus_color_dd', '#515151' );
	
	/* Unordered & Ordered Lists */

	$quidus_list_color = get_theme_mod( 'quidus_color_list', '#353535' );
	
	/* Table Data */
	
	$quidus_td_color = get_theme_mod( 'quidus_color_td', '#515151' );
	
	/* Table Header */

	$quidus_th_color = get_theme_mod( 'quidus_color_th', '#353535' );
	
	/* Widget Title */

	$quidus_widget_title_color = get_theme_mod( 'quidus_color_widget_title', '#353535' );
	
	/* Blockquote */

	$quidus_blockquote_color = get_theme_mod( 'quidus_color_blockquote', '#353535' );
	
	/* Menu Background */
	
	$quidus_menu_background_color = get_theme_mod( 'quidus_color_menu_background', '' );
	
	/* Site Title */

	$quidus_site_title_color = get_theme_mod( 'quidus_color_site_title', '#353535' );
	
	/* Site Description */

	$quidus_site_description_color = get_theme_mod( 'quidus_color_site_description', '#515151' );
	
	/* Menu */
	
	$quidus_menu_color = get_theme_mod( 'quidus_color_menu', '#353535' );
	
	/* Header Social Icons */

	$quidus_header_social_icons_color = get_theme_mod( 'quidus_color_header_social_icons', '#353535' );
	
	/* Search Icon */

	$quidus_search_icon_color = get_theme_mod( 'quidus_color_search_icon', '#353535' );
	
	if( class_exists( 'WooCommerce' ) ) {
	
		/* Menu Cart Icon */
		
		$quidus_menu_cart_icon_color = get_theme_mod( 'quidus_color_menu_cart_icon', '#353535' );
	
	}
	
	/* Link */

	$quidus_a_color = get_theme_mod( 'quidus_color_a', '#353535' );
	
	/* Read More */

	$quidus_read_more_color = get_theme_mod( 'quidus_color_read_more', '#353535' );
	
	/* Copyright Background */
	
	$copyright_background_color = get_theme_mod('quidus_color_copyright_background', '');
	
	/* Copyright Text Color */
	
	$copyright_color = get_theme_mod('quidus_color_copyright', '');
	
	/* Copyright Link Color */
	
	$quidus_color_copyright_link = get_theme_mod('quidus_color_copyright_link', '');
	
	/* Copyright Link Hover Color */
	
	$quidus_color_copyright_link_hover = get_theme_mod('quidus_color_copyright_link_hover', '');
	
	/* Copyright Social Icon Color */
	
	$quidus_color_copyright_social_icon = get_theme_mod('quidus_color_copyright_social_icon', '');
	
?>

<style type="text/css">

<?php if ( is_page_template('page-canvas.php') ) : ?>

	.site-content {
		padding: 0 !important;
		width:100% !important;
		max-width:100% !important;
	}
	
	.entry-content {
		padding: 0 !important;
	}

	.hentry {
		padding: 0 !important;
		margin:0 !important
	}

	.tptn_counter {
	display:none
	}

	.site {
		padding: 0 !important;
		max-width:100% !important;
	}

	.site .widget {
		padding: 0 !important
	}

	#sow-headline-container h1,
	#sow-headline-container h2,
	#sow-headline-container h3,
	#sow-headline-container h4,
	#sow-headline-container h5,
	#sow-headline-container h6,
	.sow-cta-base h5,
	.sow-cta-base h4 {
	padding-top: 0 !important
	}

	.sow-cta-base {
	border-color:transparent !important;
	background:transparent !important
	}

	.sow-cta-base {
		padding: 3em 1.5em
	}

	.sow-cta-base .so-widget-sow-button {
		margin-top: 0.25em !important
	}

	.sow-features-list .sow-features-feature h5 {
		margin: 0;
		margin-bottom: 0.42125em
	}

	.mc4wp-form-basic {
		margin: 0 !important
	}

	.footer-widgets-wrapper-outer {
		padding: 0
	}

	 @media screen and (max-width: 955px) {

		#masthead {
			margin:0
		}
		
		.footer-widgets-wrapper {
			margin: 0 !important
		}
		
		.site {
			padding: 0 !important;
			margin: 0 !important
		}
		
		.float-right {
			margin: 1.5em !important
		}
		
		.site .widget {
			width: 100% !important
		}
		.sow-cta-base .so-widget-sow-button a {
			margin-top: 0.75em !important
		}
		.sow-cta-base .so-widget-sow-button {
			margin-left:0 !important
		}
		
		.footer-widgets-wrapper-outer {
			padding: 1.5em
		}

	}

	 @media screen and (max-width: 955px) and (min-width: 640px) {

		.sow-cta-base .so-widget-sow-button {
			float: left !important
		}

	}

	 @media screen and (max-width: 640px) {

		.sow-cta-base .so-widget-sow-button {
			float: none !important
		}

	}

	@media screen and (max-width: 480px) {
	 
		.float-right {
			margin: 1em !important
		}
		
		.footer-widgets-wrapper-outer {
			padding: 1em
		}
	 
	}
	 
<?php endif; ?>

<?php if ( is_page_template('page-clean.php') ) : ?>

.panel-grid-cell .so-panel {
margin-bottom:0 !important
}

.hentry {
	padding: 0 !important;
	margin: 0 !important;
	box-shadow: none !important;
	background:transparent !important
}

.entry-content {
	padding: 0 !important;
}

.tptn_counter {
display:none
}

.content-area .widget {
    padding: 0 !important
}

#sow-headline-container h1,
#sow-headline-container h2,
#sow-headline-container h3,
#sow-headline-container h4,
#sow-headline-container h5,
#sow-headline-container h6,
.sow-cta-base h5,
.sow-cta-base h4 {
padding-top: 0 !important
}

.sow-cta-base {
border-color:transparent !important;
background:transparent !important
}

.sow-cta-base {
    padding: 3em 1.5em
}

.sow-cta-base .so-widget-sow-button {
    margin-top: 0.25em !important
}

.sow-features-list .sow-features-feature h5 {
    margin: 0;
    margin-bottom: 0.42125em
}

.content-area {
	padding: 0.75em !important
}

@media screen and (max-width: 955px) {
	
	.content-area .widget {
		width: 100% !important
	}
	.sow-cta-base .so-widget-sow-button a {
	    margin-top: 0.75em !important
	}
	.sow-cta-base .so-widget-sow-button {
	    margin-left:0 !important
	}
	
	.content-area {
		padding: 0.75em !important
	}

}

@media screen and (max-width: 955px) and (min-width: 640px) {

	.sow-cta-base .so-widget-sow-button {
	    float: left !important
	}

}

@media screen and (max-width: 640px) {

	.sow-cta-base .so-widget-sow-button {
	    float: none !important
	}

}

@media screen and (max-width: 480px) {
 
	.content-area {
		padding: 0.5em 0 !important
	}
 
}

<?php endif; ?>

<?php if (get_post_format() == 'image' and is_single()) : ?>
 
.image-format-header {
padding:0;
height:100vh;
text-align:center;
color:#fff;
padding:0 1.5em;
width:100%;
background-size:cover;
background-repeat: no-repeat;
background-position: center center
}

.image-format-title-wrap-outer .image-format-title-wrap {
position:absolute;
top:50vh;
left:50%;
-webkit-transform:translate(-50%,-50%) !important;
-ms-transform:translate(-50%,-50%) !important;
-moz-transform:translate(-50%,-50%) !important;
transform:translate(-50%,-50%) !important
}

.image-format-title-wrap-outer .image-format-title-wrap,
.image-format-header {
-webkit-transition:0.5s;
-moz-transition:0.5s;
transition:0.5s
}

.image-format-title-wrap-outer {
width:100%;
height:100%;
position:relative
}

.image-format-title-wrap a {
color:#fff
}

.image-format-title {
padding-bottom:0.5em
}

.image-format-title h1 {
padding-top:0;
color:#fff
}

.panel-grid-cell .so-panel {
margin-bottom:0 !important
}

.tptn_counter {
display:none
}

.hentry .entry-content {
	padding: 1.5em 1.5em 3em 1.5em !important
}

#sow-headline-container h1,
#sow-headline-container h2,
#sow-headline-container h3,
#sow-headline-container h4,
#sow-headline-container h5,
#sow-headline-container h6,
.sow-cta-base h5,
.sow-cta-base h4 {
padding-top: 0 !important
}

.sow-cta-base {
border-color:transparent !important;
background:transparent !important
}

.sow-cta-base {
    padding: 3em 1.5em
}

.sow-cta-base .so-widget-sow-button {
    margin-top: 0.25em !important
}

.sow-features-list .sow-features-feature h5 {
    margin: 0;
    margin-bottom: 0.42125em
}

.site {
    margin-top: 0 !important;
	padding: 0.75em !important
}

@media screen and (min-width: 955px) {

	.footer-widgets-wrapper-outer {
		padding:0 !important
	}

}

@media screen and (max-width: 955px) {
	
	.sow-cta-base .so-widget-sow-button a {
	    margin-top: 0.75em !important
	}
	.sow-cta-base .so-widget-sow-button {
	    margin-left:0 !important
	}
	
	.float-right {
		margin: 1.5em !important
	}
	
	.site-header {
		margin:0!important
	}

}

@media screen and (max-width: 768px) {

	.hentry .entry-content {
		padding: 1.5em !important
	}

}

@media screen and (max-width: 480px) {
	
	.hentry.has-post-thumbnail .entry-content {
		padding: 1em !important
	}
	
	.float-right {
	margin:1em !important
	}
	
	.site {
		margin-top: 0 !important;
		padding: 0.5em 1em!important
	}

}

@media screen and (max-width: 955px) and (min-width: 640px) {

	.sow-cta-base .so-widget-sow-button {
	    float: left !important
	}

}

@media screen and (max-width: 640px) {

	.sow-cta-base .so-widget-sow-button {
	    float: none !important
	}

}

<?php endif; ?>

<?php if (is_page_template('page-project.php')) : ?>

.project-page-header {
padding:0;
height:100vh;
text-align:center;
color:#fff;
padding:0 1.5em;
width:100%
}

.project-page-title-wrap-outer .project-page-title-wrap {
position:absolute;
top:50vh;
left:50%;
-webkit-transform:translate(-50%,-50%) !important;
-ms-transform:translate(-50%,-50%) !important;
-moz-transform:translate(-50%,-50%) !important;
transform:translate(-50%,-50%) !important
}

.project-page-header,
.project-page-title-wrap-outer .project-page-title-wrap {
-webkit-transition:0.5s;
-moz-transition:0.5s;
transition:0.5s
}

.project-page-title-wrap-outer {
width:100%;
height:100%;
position:relative
}

.project-page-title-wrap a {
color:#fff
}

.project-page-title {
padding-bottom:0.5em
}

.project-page-title h1 {
padding-top:0;
color:#fff
}

.panel-grid-cell .so-panel {
margin-bottom:0 !important
}

.hentry {
	padding: 0 !important;
	margin: 0 !important;
	box-shadow: none !important;
	background:transparent !important
}

	.hentry.has-post-thumbnail .entry-content {
		padding: 0 !important
	}

.sidebar {
    margin-top: 0 !important
}

.right-sidebar-wrap {
    margin-top:0 !important
}

.site-content {
    padding: 0!important;
	width:100%!important;
}

.tptn_counter {
display:none
}

.content-area .widget {
    padding: 0 !important
}

.content-area {
	margin:0 0.75em
}

#sow-headline-container h1,
#sow-headline-container h2,
#sow-headline-container h3,
#sow-headline-container h4,
#sow-headline-container h5,
#sow-headline-container h6,
.sow-cta-base h5,
.sow-cta-base h4 {
padding-top: 0 !important
}

.sow-cta-base {
border-color:transparent !important;
background:transparent !important
}

.sow-cta-base {
    padding: 3em 1.5em
}

.sow-cta-base .so-widget-sow-button {
    margin-top: 0.25em !important
}

.sow-features-list .sow-features-feature h5 {
    margin: 0;
    margin-bottom: 0.42125em
}

.site {
	padding: 0 !important
}

@media screen and (max-width: 955px) {
	
	.content-area .widget {
		width: 100% !important
	}
	.sow-cta-base .so-widget-sow-button a {
	    margin-top: 0.75em !important
	}
	.sow-cta-base .so-widget-sow-button {
	    margin-left:0 !important
	}
	
	.site-header {
		margin: 0 !important
	}
	
	.float-right {
		margin: 1.5em !important
	}
	
	.site-content {
		padding: 0 !important
	}
	
	.hentry.has-post-thumbnail .entry-content {
		padding: 0 !important
	}
	
	.site {
		max-width: 100% !important;
		margin-top: 0 !important
	}
	
	.sidebar {
		margin-top: 0 !important
	}
	
	.project-page-header .project-page-title-wrap {
		opacity:1
	}

}

@media screen and (max-width: 955px) and (min-width: 640px) {

	.sow-cta-base .so-widget-sow-button {
	    float: left !important
	}

}

@media screen and (max-width: 640px) {

	.sow-cta-base .so-widget-sow-button {
	    float: none !important
	}

}

@media screen and (max-width: 480px) {
 
	.float-right {
		margin: 1em !important
	}
 
}

<?php endif; ?>

<?php if ($copyright_information != '') : ?>

.footer-social-wrap {
padding:0;
}

<?php endif; ?>

<?php if ($copyright_information == '') : ?>

.copyright-wrap {
padding-top:1em;
}

<?php endif; ?>

body {
background-color: <?php echo esc_attr($quidus_color_background); ?> !important;
}

.dropcap,
h1,
h2,
h3,
h4,
h5,
h6,
blockquote,
blockquote cite,
blockquote small,
.post-password-form label,
a,
.secondary-navigation a:hover,
.secondary-navigation a:focus,
.author-social,
.author-social span,
.my-social span,
.secondary-toggle:before,
.widget-title,
.comment-author,
.comment-form label,
.quidus_content_link,
.quidus_content_link:after,
th,
dt,
.post-mark,
.video-mark,
label,
.woocommerce .woocommerce-breadcrumb a,
.woocommerce #reviews #comments ol.commentlist li .meta strong,
.menu-holder .my-social span,
.menu-holder .main-navigation a,
.menu-holder .toggle-search, 
.menu-holder .menu-cart-wrapper .cart-contents,
.dropdown-toggle:after,
.menu-cart-wrapper .cart-contents:focus,
.single-service-icon span
{
color:<?php echo esc_attr($quidus_color_main); ?>;
}

.main-navigation li,
#yith-wcwl-message,
.woocommerce a.remove:hover
{
color:<?php echo esc_attr($quidus_color_main); ?> !important;
}

.entry-content .quidus-link-wrapper {
border-left:3px solid <?php echo esc_attr($quidus_color_main); ?>;
}

.search-expand-inner .search-form .search-field {
border:3px solid <?php echo esc_attr($quidus_color_main); ?>;
background-clip: padding-box !important;
background:#fff;
}

button,
input[type="button"],
input[type="reset"],
input[type="submit"],
.pagination,
.page-links a,
.tagcloud a,
.comment-list .reply a,
.woocommerce #respond input#submit.alt, 
.woocommerce a.button.alt, 
.woocommerce button.button.alt, 
.woocommerce input.button.alt,
.woocommerce nav.woocommerce-pagination ul li a, 
.woocommerce nav.woocommerce-pagination ul li span,
.woocommerce div.product .woocommerce-tabs ul.tabs li,
.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button,
.woocommerce-shipping-calculator > p a,
.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
.widget_calendar tbody a
{
	background-color: <?php echo esc_attr($quidus_color_main); ?>;
}

.comment-list .reply a {
color:#fff !important;
}

.page-links a,
.search-submit {
background-color: <?php echo esc_attr($quidus_color_main); ?> !important;
}

body,
button,
input,
select,
textarea,
input,
textarea,
.post-navigation .meta-nav,
.image-navigation,
.comment-navigation,
.widget,
.author-heading,
.entry-footer,
.taxonomy-description,
.page-links > .page-links-title,
.entry-caption,
.no-comments,
.comment-notes,
.comment-awaiting-moderation,
.logged-in-as,
.form-allowed-tags,
.wp-caption-text,
.gallery-caption,
.copyright-wrap,
.widget input[type="text"],
.widget input[type="email"],
.widget input[type="url"],
.widget input[type="password"],
.widget input[type="search"],
.widget textarea,
.site-description,
.posted-on:before, 
.byline:before,
.cat-links:before,
.tags-links:before,
.comments-link:before,
.entry-format:before,
.edit-link:before,
.full-size-link:before,
.secondary-navigation .menu-item-description,
dd,
.woocommerce .woocommerce-breadcrumb,
.woocommerce #reviews #comments ol.commentlist li .meta time,
.woocommerce nav.woocommerce-pagination ul li span.current,
.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
.woocommerce small.note,
.select2-container .select2-choice,
.select2-container .select2-choice:hover,
.woocommerce-checkout #payment div.payment_box,
.woocommerce-cart .cart-collaterals .cart_totals .discount td,
.woocommerce #reviews #comments ol.commentlist li .meta,
.woocommerce #reviews h2 small,
.woocommerce #reviews h2 small a,
.woocommerce-cart .cart-collaterals .cart_totals p small,
.woocommerce-cart .cart-collaterals .cart_totals table small,
.woocommerce-checkout #payment div.payment_box span.help
{
	color: <?php echo esc_attr($quidus_color_secondary); ?>;
}

.entry-content p,
.site-description,
::-webkit-input-placeholder,
:-moz-placeholder,
::-moz-placeholder,
:-ms-input-placeholder,
input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
textarea:focus,
pre 

{
	color: <?php echo esc_attr($quidus_color_secondary); ?> !important;
}

.highlight,
.quidus-content-quote-icon,
a:hover,
a:focus,
.posted-on a:hover,
.posted-on span:hover,
.byline a:hover,
.cat-links a:hover,
.tags-links a:hover,
.comments-link a:hover,
.entry-format a:hover,
.full-size-link a:hover,
.edit-link a:hover,
.bypostauthor > article .fn,
.entry-content a:hover,
.menu-holder .site-title a:hover,
.author-social span:hover,
.footer-social span:hover,
.my-social span:hover,
.woocommerce .woocommerce-breadcrumb a:hover,
.woocommerce .woocommerce-breadcrumb a:focus,
.woocommerce div.product p.price,
.woocommerce div.product span.price,
.product_meta .tagged_as a:hover,
.product_meta .tagged_as a:focus,
.product_meta .posted_in a:hover,
.product_meta .posted_in a:focus,
.woocommerce-review-link:hover,
.woocommerce-review-link:focus,
.woocommerce .woocommerce-message:before,
.woocommerce ul.products li.product .price,
.woocommerce div.product .stock,
.woocommerce div.product .out-of-stock,
.woocommerce .woocommerce-error:before,
.woocommerce .woocommerce-info:before,
.woocommerce .widget_layered_nav ul li.chosen a:before,
.woocommerce .widget_layered_nav_filters ul li a:before,
mark,
ins,
.wishlist_table tr td.product-stock-status span.wishlist-in-stock,
.wishlist_table tr td.product-stock-status span.wishlist-out-of-stock,
.post-navigation .post-title:hover,
.project-page-meta a:hover,
.image-format-meta a:hover,
.quidus-recent-post .recent-categories a:hover,
.recent_post_style_3 .recent-post-info a:hover,
.single_fact_icon_style_1 .single-fact-icon span,
.single_fact_icon_style_2 .single-fact-icon span
{
	color: <?php echo esc_attr($quidus_color_special); ?>;
}

button:hover,
input[type="button"]:hover,
input[type="reset"]:hover,
input[type="submit"]:hover,
button:focus,
input[type="button"]:focus,
input[type="reset"]:focus,
input[type="submit"]:focus,
.secondary-navigation ul,
.secondary-navigation li,
.pagination:hover,
.video-mark,
.post-mark,
.tagcloud a:hover,
.woocommerce span.onsale,
.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover,
.woocommerce #respond input#submit.alt:focus,
.woocommerce a.button.alt:focus,
.woocommerce button.button.alt:focus,
.woocommerce input.button.alt:focus,
.woocommerce nav.woocommerce-pagination ul li a:focus,
.woocommerce nav.woocommerce-pagination ul li a:hover,
.woocommerce div.product .woocommerce-tabs ul.tabs li:hover,
.woocommerce #respond input#submit:hover,
.woocommerce a.button:hover,
.woocommerce button.button:hover,
.woocommerce input.button:hover,
.woocommerce-shipping-calculator > p a:hover,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
.header-menu-cart-count,
.comment-list .reply a:hover,
.widget_calendar tbody a:hover
{
	background:<?php echo esc_attr($quidus_color_special); ?>;
}

.page-links a:hover,
.page-links a:focus,
.search-submit:hover {
background:<?php echo esc_attr($quidus_color_special); ?> !important;
}

blockquote 
{
	border-left:3px solid <?php echo esc_attr($quidus_color_special); ?>;
}

blockquote.alignright {
	border-right:3px solid <?php echo esc_attr($quidus_color_special); ?>;
	border-left:none;
}

.image-navigation .nav-previous:not(:empty) a:hover,
.image-navigation .nav-next:not(:empty) a:hover,
h1 a:hover,
h2 a:hover,
h3 a:hover,
h4 a:hover,
h5 a:hover,
h6 a:hover,
.sticky-post,
.woocommerce a.remove {
	color:<?php echo esc_attr($quidus_color_special); ?> !important;
}

.woocommerce .woocommerce-message,
.woocommerce .woocommerce-error,
.woocommerce .woocommerce-info {
    border-top-color: <?php echo esc_attr($quidus_color_special); ?> !important;
}

.widget-title {
	border-bottom:3px solid <?php echo esc_attr($quidus_color_special); ?>;
}

body,
button,
input,
select,
textarea,
.main-navigation ul {
font-family: <?php echo esc_attr($body_font["font-family"]); ?>;
}

h1,
h2,
h3,
h4,
h5,
h6,
.comment-form label,
dt,
th,
.comment-navigation,
.comment-author,
.sticky-post,
.site-title,
.tptn_title {
font-family: <?php echo esc_attr($headings_font["font-family"]); ?>;
}

<?php global $tw; ?>

@media screen and (min-width: 1105px) {

.site-content {

	<?php if ($cwdc == '') : ?>
	width: <?php echo esc_attr($cwd) / 100; ?>%;
	<?php  $tw += $cwd;
	else : ?>
	width: <?php echo esc_attr($cwdc) / 100; ?>%;
	<?php $tw += $cwdc;
	endif; ?>
	
}

.left-sidebar-wrapper {
	
	<?php if ($lswd == '') : ?>
	width: <?php echo esc_attr($swd) / 100; ?>%;
	<?php if ($sl == '3 Columns - Sidebars Align Left' or $sl == '3 Columns - Sidebars Align Right' or $sl == '2 Columns - Left Sidebar' or $sl == '3 Columns') { $tw += $swd;};
	else : ?>
	width: <?php echo esc_attr($lswd) / 100; ?>%;
	<?php if ($sl == '3 Columns - Sidebars Align Left' or $sl == '3 Columns - Sidebars Align Right' or $sl == '2 Columns - Left Sidebar' or $sl == '3 Columns') { $tw += $lswd;};
	endif; ?>
	
}

.right-sidebar-wrapper {
	
	<?php if ($rswdc == '') : ?>
	width: <?php echo esc_attr($rswd) / 100; ?>%;
	<?php if ($sl == '3 Columns - Sidebars Align Left' or $sl == '3 Columns - Sidebars Align Right' or $sl == '2 Columns - Right Sidebar' or $sl == '3 Columns') { $tw += $rswd;};
	else : ?>
	width: <?php echo esc_attr($rswdc) / 100; ?>%;
	<?php if ($sl == '3 Columns - Sidebars Align Left' or $sl == '3 Columns - Sidebars Align Right' or $sl == '2 Columns - Right Sidebar' or $sl == '3 Columns') { $tw += $rswdc;};
	endif; ?>
	
}

<?php

if ($tw > 10000 and ($sl == '3 Columns' or $sl == '3 Columns - Sidebars Align Left' or $sl == '3 Columns - Sidebars Align Right')) : ?>

.site-content {
	width: 56%;
}

.left-sidebar-wrapper {
	width: 22%;
}

.right-sidebar-wrapper {
	width: 22%;
}

<?php endif; if ($tw > 10000 and $sl == '2 Columns - Left Sidebar') : ?>

.site-content {
	width: 67%;
}

.left-sidebar-wrapper {
	width: 33%;
}

<?php endif; if ($tw > 10000 and $sl == '2 Columns - Right Sidebar') : ?>

.site-content {
	width: 67%;
}

.right-sidebar-wrapper {
	width: 33%;
}

<?php endif; ?>

}

<?php if ( $sl == '1 Column' and get_theme_mod('quidus_switch_to_centered_layout', true) == true) : ?>

.site-content {
    float: none;
	margin:0 auto;
}

<?php endif; ?>

@media screen and (min-width: 955px) {

.footer-widgets-wrapper-inner {
	max-width: <?php echo esc_attr($fomw); ?>;
	margin:0 auto;
}

}

@media screen and (min-width: 955px) and (max-width: 1105px) {

.right-sidebar-wrapper {
   width: 70%;
   float:right;
}

.right-sidebar-wrap {
    margin-top:0 !important
}

.site-content {
	width: 70%;
}

.left-sidebar-wrapper {
	width: 30%;
}

.site {
    padding-right: 0.75em;
}

<?php if ( $sl == '2 Columns - Right Sidebar') : ?>

.site-content {
	width: 70%;
}

.right-sidebar-wrapper {
   width: 30%;
   float:left;
   
}

<?php endif; ?>

<?php if ( $sl == '3 Columns - Sidebars Align Right') : ?>

.site-content {
	float:left;
}

.right-sidebar-wrapper {
	width: 70%;
    float:left;
}

.left-sidebar-wrapper {
    width: 30%;
	float:right;
}

<?php endif; ?>

<?php if ( $sl == '1 Column') : ?>

.site-content {
	width: 100%;
}

<?php endif; ?>

}

<?php if ( get_theme_mod('quidus_featured_image_single_disable') == 1 ) : ?>

.single-post .post-thumbnail img {
display:none;
}
.single-post .hentry.has-post-thumbnail .entry-header {
    padding: 3em 1.5em 0.5em !important;
}


@media screen and (min-width: 480px) and (max-width: 768px) {
  .single-post .hentry.has-post-thumbnail .entry-header {
    padding:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em 1.5em 0.5em"; else : echo "3em 1.5em 0.5em"; endif; ?> !important;
}
	
}

@media screen and (max-width: 480px) {
  .single-post .hentry.has-post-thumbnail .entry-header {
	padding:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em 1em 0.5em"; else : echo "3em 1em 0.5em"; endif; ?> !important;
}
}
<?php endif; ?>

.site { max-width: <?php echo esc_attr($wemw); ?>; }

<?php if (get_theme_mod('quidus_a_color_enable', false) == true ) : ?>

a,
.woocommerce .woocommerce-breadcrumb a {
	color: <?php echo esc_attr($quidus_a_color); ?>
}

<?php endif; ?>

.secondary-navigation a,
.site-title a,
h1 a,
h2 a,
h3 a,
h4 a,
h5 a,
.tptn_title,
h6 a {
	color: <?php echo esc_attr($quidus_color_main); ?>
}

<?php if (get_theme_mod('quidus_read_more_color_enable', false) == true ) : ?>

.blog .entry-content > p:last-child a {
	color: <?php echo esc_attr($quidus_read_more_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h1_typography_enable', false) == true ) : ?>

h1,
h1 span {
font-size: <?php echo esc_attr((string)(intval($quidus_h1_size) * 0.039)); ?>rem;
font-family: <?php echo esc_attr($h1_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($h1_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($h1_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($h1_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h1_color_enable', false) == true ) : ?>

h1,
h1 a,
.widget h1 a {
color: <?php echo esc_attr($quidus_h1_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h2_typography_enable', false) == true ) : ?>

h2,
h2 span {
font-size: <?php echo esc_attr((string)(intval($quidus_h2_size) * 0.032)); ?>rem;
font-family: <?php echo esc_attr($h2_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($h2_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($h2_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($h2_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h2_color_enable', false) == true ) : ?>

h2,
h2 a,
.widget h2 a {
color: <?php echo esc_attr($quidus_h2_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h3_typography_enable', false) == true ) : ?>

h3,
h3 span {
font-size: <?php echo esc_attr((string)(intval($quidus_h3_size) * 0.027)); ?>rem;
font-family: <?php echo esc_attr($h3_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($h3_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($h3_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($h3_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h3_color_enable', false) == true ) : ?>

h3,
h3 a,
.widget h3 a {
color: <?php echo esc_attr($quidus_h3_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h4_typography_enable', false) == true ) : ?>

h4,
h4 span {
font-size: <?php echo esc_attr((string)(intval($quidus_h4_size) * 0.022)); ?>rem;
font-family: <?php echo esc_attr($h4_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($h4_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($h4_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($h4_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h4_color_enable', false) == true ) : ?>

h4,
h4 a,
.widget h4 a {
color: <?php echo esc_attr($quidus_h4_color); ?>
}

<?php endif; ?>

.widget-title {
	text-transform: uppercase;
	text-align:center;
	margin-bottom:0.5em;
	padding-bottom:0.5em;
	padding-top:0.5em;
	font-size:1.9rem;
	line-height:1.2632;
	letter-spacing:1px;
	font-weight:700;
}

<?php if (get_theme_mod('quidus_h5_typography_enable', false) == true ) : ?>

h5,
.tptn_link,
h5 span,
.widget-title  {
font-size: <?php echo esc_attr((string)(intval($quidus_h5_size) * 0.019)); ?>rem;
font-family: <?php echo esc_attr($h5_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($h5_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($h5_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($h5_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h5_color_enable', false) == true ) : ?>

h5,
h5 a,
.widget h5 a,
.widget-title {
color: <?php echo esc_attr($quidus_h5_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h6_typography_enable', false) == true ) : ?>

h6,
h6 span {
font-size: <?php echo esc_attr((string)(intval($quidus_h6_size) * 0.017)); ?>rem;
font-family: <?php echo esc_attr($h6_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($h6_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($h6_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($h6_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h6_color_enable', false) == true ) : ?>

h6,
h6 a,
.widget h6 a {
color: <?php echo esc_attr($quidus_h6_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_widget_title_typography_enable', false) == true ) : ?>

.widget-title {
padding-top: <?php echo esc_attr($quidus_widget_title_padding_top); ?>;
padding-bottom: <?php echo esc_attr($quidus_widget_title_padding_bottom); ?>;
margin-top: <?php echo esc_attr($quidus_widget_title_margin_top); ?>;
margin-bottom: <?php echo esc_attr($quidus_widget_title_margin_bottom); ?>;
font-size: <?php echo esc_attr((string)(intval($quidus_widget_title_size) * 0.019)); ?>rem;
font-family: <?php echo esc_attr($widget_title_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($widget_title_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($widget_title_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($widget_title_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_widget_title_color_enable', false) == true ) : ?>

.widget-title {
color: <?php echo esc_attr($quidus_widget_title_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_paragraph_typography_enable', false) == true ) : ?>

.hentry .single-post-content p:not(.read-more-link) {
font-size: <?php echo esc_attr((string)(intval($quidus_paragraph_size) * 0.016)); ?>rem;
font-family: <?php echo esc_attr($paragraph_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($paragraph_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($paragraph_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($paragraph_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

.single-post-content p {
padding:0.5em 0;
}

.single-post-content blockquote p {
padding-top:0;
}

p.read-more-link {
padding-bottom:0;
}

<?php if (get_theme_mod('quidus_p_color_enable', false) == true ) : ?>

.hentry .single-post-content p:not(.read-more-link) {
color: <?php echo esc_attr($quidus_paragraph_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_site_title_typography_enable', false) == true ) : ?>

.site-title {
font-size: <?php echo esc_attr((string)(intval($quidus_site_title_size) * 0.022)); ?>rem;
font-family: <?php echo esc_attr($site_title_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($site_title_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($site_title_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($site_title_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_site_description_typography_enable', false) == true ) : ?>

.site-description {
font-size: <?php echo esc_attr((string)(intval($quidus_site_description_size) * 0.016)); ?>rem;
font-family: <?php echo esc_attr($site_description_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($site_description_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($site_description_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($site_description_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_site_description_color_enable', false) == true ) : ?>

.site-description {
color: <?php echo esc_attr($quidus_site_description_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_content_meta_icon_typography_enable', false) == true ) : ?>

.posted-on:before, 
.byline:before, 
.cat-links:before, 
.tags-links:before, 
.comments-link:before, 
.entry-format:before, 
.edit-link:before, 
.full-size-link:before {
font-size: <?php echo esc_attr((string)(intval($quidus_content_meta_icon_size) * 0.016)); ?>rem;
font-weight: <?php echo esc_attr($content_meta_icon_typography["font-weight"]); ?>;
letter-spacing: <?php echo esc_attr($content_meta_icon_typography["letter-spacing"]); ?>;
line-height: <?php echo esc_attr($content_meta_icon_typography["line-height"]); ?>;
top: <?php echo esc_attr($quidus_content_meta_icon_top); ?>px;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_content_meta_color_enable', false) == true ) : ?>

.posted-on,
.entry-footer a,
.byline,
.byline .author,
.cat-links,
.tags-links, 
.comments-link, 
.entry-format, 
.full-size-link,
.edit-link {
color: <?php echo esc_attr($quidus_content_meta_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_content_meta_icon_color_enable', false) == true ) : ?>

.posted-on:before, 
.byline:before, 
.cat-links:before, 
.tags-links:before, 
.comments-link:before, 
.entry-format:before, 
.edit-link:before, 
.full-size-link:before {
color: <?php echo esc_attr($quidus_content_meta_icon_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_content_meta_typography_enable', false) == true ) : ?>

.posted-on,
.byline,
.byline .author,
.cat-links,
.tags-links, 
.comments-link, 
.entry-format, 
.full-size-link,
.edit-link,
.image-format-meta p,
.project-page-meta p {
font-size: <?php echo esc_attr((string)(intval($quidus_content_meta_size) * 0.016)); ?>rem;
font-family: <?php echo esc_attr($content_meta_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($content_meta_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($content_meta_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($content_meta_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_td_typography_enable', false) == true ) : ?>

td {
padding-top: <?php echo esc_attr($quidus_td_padding_top); ?>;
padding-bottom: <?php echo esc_attr($quidus_td_padding_bottom); ?>;
padding-right: <?php echo esc_attr($quidus_td_padding_right); ?>;
padding-left: <?php echo esc_attr($quidus_td_padding_left); ?>;
font-size: <?php echo esc_attr((string)(intval($quidus_td_size) * 0.016)); ?>rem;
font-family: <?php echo esc_attr($td_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($td_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($td_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($td_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_td_color_enable', false) == true ) : ?>

td {
color: <?php echo esc_attr($quidus_td_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_th_typography_enable', false) == true ) : ?>

th {
padding-top: <?php echo esc_attr($quidus_th_padding_top); ?>;
padding-bottom: <?php echo esc_attr($quidus_th_padding_bottom); ?>;
padding-right: <?php echo esc_attr($quidus_th_padding_right); ?>;
padding-left: <?php echo esc_attr($quidus_th_padding_left); ?>;
font-size: <?php echo esc_attr((string)(intval($quidus_th_size) * 0.016)); ?>rem;
font-family: <?php echo esc_attr($th_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($th_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($th_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($th_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_th_color_enable', false) == true ) : ?>

th {
color: <?php echo esc_attr($quidus_th_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_dd_typography_enable', false) == true ) : ?>

dd {
padding-top: <?php echo esc_attr($quidus_dd_padding_top); ?>;
padding-bottom: <?php echo esc_attr($quidus_dd_padding_bottom); ?>;
margin-top: <?php echo esc_attr($quidus_dd_margin_top); ?>;
margin-bottom: <?php echo esc_attr($quidus_dd_margin_bottom); ?>;
font-size: <?php echo esc_attr((string)(intval($quidus_dd_size) * 0.016)); ?>rem;
font-family: <?php echo esc_attr($dd_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($dd_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($dd_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($dd_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_dd_color_enable', false) == true ) : ?>

dd {
color: <?php echo esc_attr($quidus_dd_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_dt_typography_enable', false) == true ) : ?>

dt {
padding-top: <?php echo esc_attr($quidus_dt_padding_top); ?>;
padding-bottom: <?php echo esc_attr($quidus_dt_padding_bottom); ?>;
margin-top: <?php echo esc_attr($quidus_dt_margin_top); ?>;
margin-bottom: <?php echo esc_attr($quidus_dt_margin_bottom); ?>;
font-size: <?php echo esc_attr((string)(intval($quidus_dt_size) * 0.016)); ?>rem;
font-family: <?php echo esc_attr($dt_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($dt_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($dt_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($dt_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_dt_color_enable', false) == true ) : ?>

dt {
color: <?php echo esc_attr($quidus_dt_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_address_typography_enable', false) == true ) : ?>

address {
padding-top: <?php echo esc_attr($quidus_address_padding_top); ?>;
padding-bottom: <?php echo esc_attr($quidus_address_padding_bottom); ?>;
margin-top: <?php echo esc_attr($quidus_address_margin_top); ?>;
margin-bottom: <?php echo esc_attr($quidus_address_margin_bottom); ?>;
font-size: <?php echo esc_attr((string)(intval($quidus_address_size) * 0.016)); ?>rem;
font-family: <?php echo esc_attr($address_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($address_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($address_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($address_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_address_color_enable', false) == true ) : ?>

address {
color: <?php echo esc_attr($quidus_address_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_blockquote_typography_enable', false) == true ) : ?>

blockquote {
padding: <?php echo esc_attr($quidus_blockquote_padding_top); ?> <?php echo esc_attr($quidus_blockquote_padding_right); ?> <?php echo esc_attr($quidus_blockquote_padding_bottom); ?> <?php echo esc_attr($quidus_blockquote_padding_left); ?>;
margin-top: <?php echo esc_attr($quidus_blockquote_margin_top); ?>;
margin-bottom: <?php echo esc_attr($quidus_blockquote_margin_bottom); ?>;
}

blockquote p {
font-size: <?php echo esc_attr((string)(intval($quidus_blockquote_size) * 0.016)); ?>rem;
font-family: <?php echo esc_attr($blockquote_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($blockquote_typography["font-weight"]); ?>;
line-height: <?php echo esc_attr($blockquote_typography["line-height"]); ?>;
letter-spacing: <?php echo esc_attr($blockquote_typography["letter-spacing"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_blockquote_color_enable', false) == true ) : ?>

blockquote p {
color: <?php echo esc_attr($quidus_blockquote_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_menu_typography_enable', false) == true ) : ?>

.main-navigation ul {
font-family: <?php echo esc_attr($menu_typography["font-family"]); ?>;
font-weight: <?php echo esc_attr($menu_typography["font-weight"]); ?>;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_menu_color_enable', false)) : ?>

@media screen and (min-width: 955px) {
.menu-holder .main-navigation a,
.main-navigation > div > ul > li > .dropdown-toggle::after {
color: <?php echo esc_attr($quidus_menu_color); ?>
}
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_header_social_icons_color_enable', false)) : ?>

.menu-holder .my-social span {
color: <?php echo esc_attr($quidus_header_social_icons_color); ?>
}

.menu-holder .my-social span:hover {
color: <?php echo esc_attr($quidus_color_special); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_search_icon_color_enable', false)) : ?>

.menu-holder .toggle-search {
color: <?php echo esc_attr($quidus_search_icon_color); ?>
}

<?php endif; ?>

<?php if (class_exists( 'WooCommerce' ) and get_theme_mod('quidus_menu_cart_icon_color_enable', false)) : ?>

.menu-holder .menu-cart-wrapper .cart-contents {
color: <?php echo esc_attr($quidus_menu_cart_icon_color); ?>
}

.menu-holder .header-menu-cart-count {
color:#fff;
}

<?php endif; ?>

@media screen and (min-width: 480px) and (max-width: 768px) {

<?php if (get_theme_mod('quidus_h1_typography_enable', false) == true ) : ?>

h1 {
font-size: <?php echo esc_attr((string)(intval($quidus_h1_size) * 0.032)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h2_typography_enable', false) == true ) : ?>

h2 {
font-size: <?php echo esc_attr((string)(intval($quidus_h2_size) * 0.027)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h3_typography_enable', false) == true ) : ?>

h3 {
font-size: <?php echo esc_attr((string)(intval($quidus_h3_size) * 0.022)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h4_typography_enable', false) == true ) : ?>

h4 {
font-size: <?php echo esc_attr((string)(intval($quidus_h4_size) * 0.019)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h5_typography_enable', false) == true ) : ?>

h5,
.tptn_link  {
font-size: <?php echo esc_attr((string)(intval($quidus_h5_size) * 0.017)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h6_typography_enable', false) == true ) : ?>

h6 {
font-size: <?php echo esc_attr((string)(intval($quidus_h6_size) * 0.015)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_widget_title_typography_enable', false) == true ) : ?>

.widget-title {
font-size: <?php echo esc_attr((string)(intval($quidus_widget_title_size) * 0.017)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_site_title_typography_enable', false) == true ) : ?>

.site-title {
font-size: <?php echo esc_attr((string)(intval($quidus_site_title_size) * 0.019)); ?>rem;
}

<?php endif; ?>

}

@media screen and (max-width: 480px) {

<?php if (get_theme_mod('quidus_h1_typography_enable', false) == true ) : ?>

h1 {
font-size: <?php echo esc_attr((string)(intval($quidus_h1_size) * 0.027)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_site_title_typography_enable', false) == true ) : ?>

.site-title {
font-size: <?php echo esc_attr((string)(intval($quidus_site_title_size) * 0.019)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_site_description_typography_enable', false) == true ) : ?>

.site-description {
font-size: <?php echo esc_attr((string)(intval($quidus_site_description_size) * 0.014)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h2_typography_enable', false) == true ) : ?>

h2 {
font-size: <?php echo esc_attr((string)(intval($quidus_h2_size) * 0.022)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h3_typography_enable', false) == true ) : ?>

h3 {
font-size: <?php echo esc_attr((string)(intval($quidus_h3_size) * 0.021)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h4_typography_enable', false) == true ) : ?>

h4 {
font-size: <?php echo esc_attr((string)(intval($quidus_h4_size) * 0.019)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h5_typography_enable', false) == true ) : ?>

h5,
.tptn_link  {
font-size: <?php echo esc_attr((string)(intval($quidus_h5_size) * 0.017)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_h6_typography_enable', false) == true ) : ?>

h6 {
font-size: <?php echo esc_attr((string)(intval($quidus_h6_size) * 0.015)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_widget_title_typography_enable', false) == true ) : ?>

.widget-title {
font-size: <?php echo esc_attr((string)(intval($quidus_widget_title_size) * 0.017)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_paragraph_typography_enable', false) == true ) : ?>

.hentry .single-post-content p:not(.read-more-link) {
font-size: <?php echo esc_attr((string)(intval($quidus_paragraph_size) * 0.014)); ?>rem;
}

<?php endif; ?>

.read-more-link {
padding-bottom:1em;
}

<?php if (get_theme_mod('quidus_content_meta_typography_enable', false) == true ) : ?>

.posted-on,
.byline,
.byline .author,
.cat-links,
.tags-links, 
.comments-link, 
.entry-format, 
.full-size-link,
.edit-link,
.posted-on:before, 
.byline:before, 
.cat-links:before, 
.tags-links:before, 
.comments-link:before, 
.entry-format:before, 
.edit-link:before, 
.full-size-link:before {
font-size: <?php echo esc_attr((string)(intval($quidus_content_meta_size) * 0.014)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_list_typography_enable', false) == true ) : ?>

ul,
ol,
.woocommerce ul.products li.product,
.woocommerce-page ul.products li.product,
.woocommerce .order_details li,
.woocommerce .order_details li strong {
font-size: <?php echo esc_attr((string)(intval($quidus_list_font_size) * 0.014)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_td_typography_enable', false) == true ) : ?>

td {
font-size: <?php echo esc_attr((string)(intval($quidus_table_font_size) * 0.014)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_th_typography_enable', false) == true ) : ?>

th {
font-size: <?php echo esc_attr((string)(intval($quidus_table_font_size) * 0.014)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_dd_typography_enable', false) == true ) : ?>

dd {
font-size: <?php echo esc_attr((string)(intval($quidus_dd_size) * 0.014)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_dt_typography_enable', false) == true ) : ?>

dt {
font-size: <?php echo esc_attr((string)(intval($quidus_dt_size) * 0.014)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_address_typography_enable', false) == true ) : ?>

address {
font-size: <?php echo esc_attr((string)(intval($quidus_address_size) * 0.014)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_pre_typography_enable', false) == true ) : ?>

pre {
font-size: <?php echo esc_attr((string)(intval($quidus_pre_font_size) * 0.014)); ?>rem;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_blockquote_typography_enable', false) == true ) : ?>

blockquote p {
font-size: <?php echo esc_attr((string)(intval($quidus_blockquote_size) * 0.014)); ?>rem;
}

<?php endif; ?>

}

.footer-widgets-wrapper {
text-align:left;
}

.right-sidebar-wrap,
.widget,
.secondary,
.content-widgets-wrapper,
.footer-widgets-wrapper,
.secondary-navigation {
	padding:1.5em 0.75em;
}

.entry-content .widget {
	padding:0;
}

<?php if ( ( is_active_sidebar( 'footer-widget-1' ) ) or ( is_active_sidebar( 'footer-widget-2' ) ) or ( is_active_sidebar( 'footer-widget-3' ) ) or ( is_active_sidebar( 'footer-widget-4' ) )) : ?>

.footer-widgets-wrapper-inner > div  {
	width: <?php if ( $fwl == '2 Columns' ) : echo "50%"; elseif ( $fwl == '3 Columns' ) : echo "33.333%"; else : echo "25%"; endif; ?>
}

<?php endif; ?>

<?php if (( is_active_sidebar('content-widget-1')) or (is_active_sidebar('content-widget-2')) or (is_active_sidebar('content-widget-3'))) : ?>

.content-widgets-wrapper > div  {
	width: <?php if ( $cwl == '2 Columns' ) : echo "50%"; else : echo "33.333%"; endif; ?>
}

<?php endif; ?>

.footer-widgets-wrapper-inner > div,
.content-widgets-wrapper > div {
	float:left;
}

.footer-widgets-wrapper-inner:after,
.content-widgets-wrapper:after {
	 visibility: hidden;
	 display: block;
	 font-size: 0;
	 content: " ";
	 clear: both;
	 height: 0;
}

@media screen and (min-width: 768px) and (max-width: 955px) {

.footer-social-wrap {
text-align:center;
padding-bottom:0em;
}

.widget,
.footer-widgets-wrapper-inner > div,
.content-widgets-wrapper > div {
	width: 50%;
	float:left;
	margin:0 auto
}

.entry-content .widget {
	width: 100%;
}

.footer-widgets-wrapper-inner .widget,
.content-widgets-wrapper .widget {
	width: 100%;
}

.widget-area:after {
	 visibility: hidden;
	 display: block;
	 font-size: 0;
	 content: " ";
	 clear: both;
	 height: 0;
}

}

@media screen and (min-width: 480px) and (max-width: 768px) {

.widget,
.footer-widgets-wrapper-inner > div,
.content-widgets-wrapper > div {
	width: 70%;
	margin:0 auto;
	float:none;
}

.entry-content .widget {
	width: 100%;
}

.footer-widgets-wrapper-inner .widget,
.content-widgets-wrapper .widget {
	width: 100%;
}

}

@media screen and (max-width: 480px) {

.widget,
.footer-widgets-wrapper-inner > div,
.content-widgets-wrapper > div {
	width: 100%;
	margin:0 auto
}

.footer-widgets-wrapper-inner .widget,
.content-widgets-wrapper .widget {
	width: 100%;
}

.right-sidebar-wrap,
.widget,
.secondary,
.content-widgets-wrapper,
.footer-widgets-wrapper,
.secondary-navigation {
	padding:1em 0.5em;
}

}

@media screen and (max-width: 955px) {
	.site-header {
		width:100% !important;
	}
}

<?php if ( is_active_sidebar( 'right-sidebar' )) : ?>

@media screen and (min-width: 768px) and (max-width: 955px) {

	.right-sidebar-wrapper {
		width: 100%;
		border:none;
	}

	.right-sidebar-wrap {
		margin-top: 0;
	}
	
	<?php if ( $sl == '3 Columns - Sidebars Align Left') : ?>

	.right-sidebar-wrapper {
	float:none;
	}

	<?php endif; ?>

}

@media screen and (min-width: 480px) and (max-width: 768px) {

	.right-sidebar-wrapper {
		width: 100%;
		border:none;
	}

	.right-sidebar-wrap {
	margin-top: 0;
	}
	
	<?php if ( $sl == '3 Columns - Sidebars Align Left') : ?>

	.right-sidebar-wrapper {
	float:none;
	}

	<?php endif; ?>

}

@media screen and (max-width: 480px) {

	.right-sidebar-wrapper {
		width: 100%;
		border:none;
	}
	
	.right-sidebar-wrap {
		top: 0px;
		left: 0px;
		right: 0px;
		bottom: 0px;
		margin:0.5em 0;
		box-sizing: border-box;
	}

}

<?php endif; ?>

@media screen and (min-width: 480px) and (max-width: 768px) {

.hentry.type-post {
	padding:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em"; else : echo "3em 2em 2em"; endif; ?> !important;
}

.hentry.has-post-thumbnail {
	padding: 0 !important;
}

.has-post-thumbnail.type-post .post-thumbnail img {
	padding-bottom:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em"; else : echo "3em"; endif; ?> !important;
}
	
}

@media screen and (max-width: 480px) {

.hentry.type-post {
	padding:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em"; else : echo "3em 1em 1em"; endif; ?> !important;
}

.hentry.has-post-thumbnail {
	padding: 0 !important;
}

.has-post-thumbnail.type-post .post-thumbnail img{
	padding-bottom:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em"; else : echo "2em"; endif; ?> !important;
}
	
}

<?php if (get_theme_mod('quidus_disable_entry_meta_single') == 1) : ?>
.entry-footer.single,
.image-format-meta {
display:none;
}
<?php endif; ?>

<?php if (get_theme_mod('quidus_disable_featured_image_home')) : ?>
.blog .post-thumbnail {
display:none;
}
.blog .hentry.has-post-thumbnail {
padding-top:3em;
}
@media screen and (min-width: 768px) and (max-width: 955px) {
.blog .hentry.has-post-thumbnail {
padding-top:3em;
}
}
@media screen and (min-width: 480px) and (max-width: 768px) {
.blog .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em"; else : echo "3em"; endif; ?> !important;
}
}
@media screen and (max-width: 480px) {
.blog .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em"; else : echo "3em"; endif; ?> !important;
}
}
<?php endif; ?>

<?php if (get_theme_mod('quidus_disable_featured_image_search') == 1) : ?>
.search .post-thumbnail {
display:none;
}
.search .hentry.has-post-thumbnail {
padding-top:3em;
}
@media screen and (min-width: 768px) and (max-width: 955px) {
.search .hentry.has-post-thumbnail {
padding-top:3em;
}
}
@media screen and (min-width: 480px) and (max-width: 768px) {
.search .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em"; else : echo "3em"; endif; ?> !important;
}
}
@media screen and (max-width: 480px) {
.search .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em"; else : echo "3em"; endif; ?> !important;
}
}
<?php endif; ?>

<?php if (get_theme_mod('quidus_disable_featured_image_archive') == 1) : ?>
.archive .post-thumbnail {
display:none;
}
.archive .hentry.has-post-thumbnail {
padding-top:3em;
}
@media screen and (min-width: 768px) and (max-width: 955px) {
.archive .hentry.has-post-thumbnail {
padding-top:3em;
}
}
@media screen and (min-width: 480px) and (max-width: 768px) {
.archive .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "2em"; else : echo "3em"; endif; ?> !important;
}
}
@media screen and (max-width: 480px) {
.archive .hentry.has-post-thumbnail {
padding-top:<?php if ( get_theme_mod('quidus_post_format_icons_disable') == true ) : echo "1em"; else : echo "3em"; endif; ?> !important;
}
}
<?php endif; ?>

.site-logo img { max-width: <?php if ( get_theme_mod('quidus_logo_max_width_desktop') == '' ) : echo esc_attr('100%'); else : echo esc_attr($quidus_logo_max_width_desktop); ?>% <?php endif; ?>; }


 @media screen and (min-width: 768px) and (max-width: 955px) {
.site-logo img { max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('40%'); else : echo esc_attr($quidus_logo_max_width_tablet_large); ?>% <?php endif; ?>; }
 }
 @media screen and (min-width: 480px) and (max-width: 768px) {
.site-logo img { max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_small') == '' ) : echo esc_attr('40%'); else : echo esc_attr($quidus_logo_max_width_tablet_small); ?>% <?php endif; ?>; }
 }
 @media screen and (max-width: 480px) {
.site-logo img { max-width: <?php if ( get_theme_mod('quidus_logo_max_width_mobile') == '' ) : echo esc_attr('40%'); else : echo esc_attr($quidus_logo_max_width_mobile); ?>% <?php endif; ?>; }
 }
 
.entry-header {
text-align: center;
}

.blog .entry-header,
.single-post .entry-header,
.search .entry-header,
.archive .entry-header,
.image-format-title-wrap-outer .image-format-title-wrap {
text-align: <?php if ( get_theme_mod('quidus_post_title_align_left', false) == true ) : echo "left"; else : echo "center"; endif; ?>;
}

.widget-title {
text-align: <?php if ( get_theme_mod('quidus_widget_title_align_left', false) == true ) : echo "left"; else : echo "center"; endif; ?> !important;
}

@media screen and (min-width: 955px) {

.site {
	margin: <?php if ( get_theme_mod('quidus_switch_to_centered_layout', true) == true ) : echo "0 auto"; else : echo "0 0 0 "; echo esc_attr($quidus_site_distance_from_left); endif; ?> !important;
}
}

.comment-reply-title,
.comments-title {
text-align: <?php if ( get_theme_mod('quidus_comments_title_align_left', false) == true ) : echo "left"; else : echo "center"; endif; ?> !important;
}

.post-mark,
.video-mark {
display:<?php if ( get_theme_mod('quidus_post_format_icons_disable', false) == true ) : echo "none"; else : echo "inline"; endif; ?> !important;
}

.sidebar,
.woocommerce #content #container #content,
.hentry,
.right-sidebar-wrap,
.content-widgets-wrapper,
.copyright-wrap,
.footer-widgets-wrapper,
section.error-404,
.category .page-content,
.tag .page-content,
.archive .page-content,
.search .page-content,
.home .page-content {
background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
box-shadow: 0px 0px 2px <?php echo esc_attr($quidus_box_shadow_color); ?>;
}

 @media screen and (min-width: 1px) and (max-width: 955px) {

	.sidebar {
	background:transparent;
	box-shadow:none;
	}
	
	.secondary	{
	background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; else : echo esc_attr($quidus_color_content_background); endif; ?>;
	box-shadow: 0px 0px 2px <?php echo esc_attr($quidus_box_shadow_color); ?>;
	}
	
	.site-header,
	.float-right {
	background:<?php if ( get_theme_mod('quidus_enable_transparent_background') == true ) : echo "transparent"; elseif (get_theme_mod('quidus_menu_background_color_enable', false)) : echo esc_attr($quidus_menu_background_color); else : echo esc_attr($quidus_color_content_background); endif; ?>;
	box-shadow: 0px 0px 2px <?php echo esc_attr($quidus_box_shadow_color); ?>;
	}

}

 @media screen and (min-width: 768px) and (max-width: 955px) {
 
	.site-header {
		padding: 3em;
	}
	
	.left-sidebar-wrapper {
		padding:0.75em;
	}

}

 @media screen and (min-width: 480px) and (max-width: 768px) {
 
	.site-header {
		padding: 2em;
	}
	
	.left-sidebar-wrapper {
		padding:0.75em;
	}
 
 }
 
 @media screen and (max-width: 480px) {
	
	.left-sidebar-wrapper {
		padding:0.5em 0;
	}
 
 }
 
<?php if ( is_home() and get_theme_mod( 'quidus_header_image' ) ) : ?>
 
.text-box-background {
position:absolute;
height:100%;
width:100%;
top:0;
left:0;
background: <?php echo esc_attr($quidus_color_main); ?>;
opacity: 0.<?php if ( get_theme_mod('quidus_enable_home_header_text_background_opacity') == '' ) : echo "50"; else : echo esc_attr(get_theme_mod('quidus_enable_home_header_text_background_opacity')); endif; ?>;
}

.home-header-text-wrapper {
width:38.19660108%;
position:absolute;
bottom:0;
padding: 1em 2em 1em 2em;
color:#fff;
}

.home-header-text {
color:#fff;
}

<?php endif; ?>

<?php if (nav_menu_on()) : ?>

@media screen and (min-width: 955px) {

.parallax-wrapper {
     width: 100%;
     height: 100vh;
	 position: relative;
	 z-index:-1
}

.site-description-wrapper,
.site-title-wrapper,
.main-navigation li,
.menu-cart-wrapper,
.my-social-wrap,
.horizontal-menu-wrapper {
height:55px
}

.main-navigation li {
height:56px
}

.menu-cart-wrapper,
.toggle-search,
.main-navigation .dropdown-toggle:after {
line-height:55px
}

.toggle-search {
line-height:54px
}

.header-menu-cart-count {
    top: -5px;
}

.my-social span {
    margin-top: 27.5px;
}

<?php if (get_theme_mod('quidus_site_title_typography_enable', false)) : ?>

.site-title {
    margin-top: <?php echo esc_attr($site_title_margin_top); ?>px;
}

<?php else : ?>

.site-title {
    margin-top: 28px;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_site_description_typography_enable', false)) : ?>

.site-description {
    margin-top: <?php echo esc_attr($site_description_margin_top); ?>px;
}

<?php else : ?>

.site-description {
    margin-top: 28px;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_menu_typography_enable', false)) : ?>

.main-navigation > div > ul > li > a {
    margin-top: <?php echo esc_attr($menu_margin_top); ?>px;
}

<?php else : ?>

.main-navigation > div > ul > li > a {
    margin-top: 28px;
}

<?php endif; ?>

.site-logo img {
margin-top:27.5px;
transform:translateY(-50%);
-webkit-transform:translateY(-50%);
-moz-transform:translateY(-50%);
-ms-transform:translateY(-50%);
-o-transform:translateY(-50%);
}

.site-header {
	display: inline-block;
}

.site-branding-wrapper {
display: block;
position: relative;
}

.site-branding {
    display: block;
	top:0;
	position: relative;
	float: left;
}

.site-title {
	display: inline-block;
	text-transform:uppercase;
	line-height:1;
	margin-bottom:0;
	padding-top:0;
	height:auto !important;
	transform:translateY(-50%);
	-webkit-transform:translateY(-50%);
	-moz-transform:translateY(-50%);
	vertical-align:middle;
}

.site-title a {
	display: inline-block
}

.site-description {
	line-height: 1.6;
	width:auto !important;
	display: inline-block;
	padding-left:0.75em;
	margin-bottom:0;
	padding-top:0;
	padding-bottom:0;
	transform:translateY(-50%);
	-webkit-transform:translateY(-50%);
	-moz-transform:translateY(-50%);
	padding-right:0.75em;
}

.my-social span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
position: relative;
transform:translateY(-50%);
-webkit-transform:translateY(-50%);
-moz-transform:translateY(-50%);
}

.my-social-wrap a:first-child span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
padding-left:1em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.my-social-wrap a:last-child span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.menu-cart-wrapper {
z-index:1001;
padding:0 0.0625em 0 1.53em;
}

.menu-cart-wrapper a {
  position: relative;
}

.horizontal-menu-wrapper {
z-index:1001;
padding:0 2em 0 2em;
}

.menu-holder {
background:<?php if (get_theme_mod('quidus_menu_background_color_enable', false)) : echo esc_attr($quidus_menu_background_color); else : echo esc_attr($quidus_color_content_background); endif; ?>;
box-shadow: 0px 0px 2px <?php echo esc_attr($quidus_box_shadow_color); ?>;
height:auto;
}

.toggle-search {
padding: 0 1.25em;
font-size:1.9rem !important;
cursor:pointer;
}

.toggle-search i {
  position: relative;
}

.toggle-search, .search-expand, .search-expand-inner, .search-expand-inner .search-form, .search-expand-inner .search-form label, .menu-cart-wrapper {
width: auto;
}

.menu-cart-wrapper .cart-contents {
font-size:1.9rem;
}

.nav-item {
float:left;
}

.nav-item:after {
		 visibility: hidden;
		 display: block;
		 font-size: 0;
		 content: " ";
		 clear: both;
		 height: 0;
	}

<?php if( class_exists( 'WooCommerce' ) ) : ?>

.header-menu-cart-count {
position:absolute;
border-radius:100%;
-moz-border-radius:100%;
-webkit-border-radius:100%;
<?php global $woocommerce; if ($woocommerce->cart->cart_contents_count < 10) : ?>
height:17px;
width:17px;
line-height:1.5;
<?php endif; ?>
<?php if ($woocommerce->cart->cart_contents_count > 9) : ?>
height:20px;
width:20px;
line-height:1.65;
padding-right:1px;
<?php endif; ?>
text-align:center;
font-size:1.12rem !important;
left:1.1em;
font:none;
}

<?php endif; ?>

.search-expand-inner .search-form .search-field {
position:absolute;
min-width:175px;
width:175px;
margin-left:-107px;
background:#fff;
display:none;
z-index:99999;
}

<?php if (get_theme_mod( 'quidus_transparent_menu_home_enable', false ) == true) : ?> 

.home .menu-holder .search-form .search-field {
margin-top: 1px;
}

.menu-holder .search-form .search-field,
.home .menu-holder.menu-offset .search-form .search-field {
margin-top:2px;
}

<?php else : ?>

.menu-holder .search-form .search-field {
margin-top: 2px;
}

<?php endif; ?>

.search-expand-inner .search-form .search-submit {
display:none;
}

.main-navigation ul,
.main-navigation li {
background:transparent;
}
 
.main-navigation {
z-index:1001;
padding-right:0.5em !important;
}

.float-right {
float:right;
display: inline-block !important;
min-height:3.5em;
position:relative;
}

.float-right:after {
	visibility: hidden;
	display: block;
	font-size: 0;
	content: " ";
	clear: both;
	height: 0;
}

.main-navigation > div {
	margin:auto 0;
	position: relative;
}

.nav-menu-primary {
vertical-align:middle;
}

.main-navigation a {
	display: block;
	position:absolute;
	padding: 0 0.5em 0 0;
	position: relative;
	margin:0 0.2375em 0 0.2375em;
	text-decoration: none;
	background:transparent;
	font-size: 16px;
	font-size: 1.6rem;
}

.main-navigation ul {
	list-style: none;
	margin:0;
	width:auto !important;
	display: inline-block;
}

.main-navigation ul .toggled-on li {
	width:200px !important;
}

.main-navigation ul ul {
	display: none;
}

.main-navigation li.toggled-on {
	display: block;
}

.main-navigation ul .toggled-on {
	display:inline-block;
	position:absolute;
	background:<?php echo esc_attr($quidus_color_main); ?>;
	z-index:1001;
}

.main-navigation ul .toggled-on a,
.main-navigation ul .toggled-on .menu-item-description {
	color:#fff;
}

.main-navigation > div > ul > li > a {
	line-height:1.6rem !important;
	transform:translateY(-50%);
	-webkit-transform:translateY(-50%);
}

.main-navigation li {
	position: relative;
	width:auto !important;
	display:inline-block;
}

.main-navigation .nav-menu > ul > li:first-child,
.main-navigation .nav-menu > li:first-child {
	border-top: 0;
}

.main-navigation .page_item_has_children > a,
.main-navigation .menu-item-has-children > a {
	padding-right: 1.4em;
	margin-right:0.5825em;
}

.main-navigation .menu-item-description {
	font-size: 14px;
	font-size: 1.4rem;
	font-weight: 400;
	line-height: 1.4;
	margin-top: 0.5em;
}

.no-js .main-navigation ul ul {
	display: block;
}

.main-navigation .dropdown-toggle {
	background-color: transparent;
	border: 1px solid rgba(60,60,60,0);
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	content: "";
	padding: 0;
	position: absolute;
	text-transform: lowercase; /* Stop screen readers to read the text as capital letters */
	top: 0;
	right: 0;
	width: 32px;
}

.main-navigation .dropdown-toggle:after {
	content: "\f431";
	font-size: 16px;
	position: relative;
	top: 0;
	left: 1px;
	width: 24px;
	-webkit-transition:0.5s;
	-moz-transition: transition:0.5s;
    -webkit-transition:0.5s;
    -o-transition:0.5s;
    transition:0.5s;
}

.main-navigation .dropdown-toggle:hover,
.main-navigation .dropdown-toggle:focus {
	border: 1px solid rgba(60,60,60,0);
	background-color: transparent;
}

.main-navigation .dropdown-toggle.toggle-on:after {
	content: "\f432";
}

.main-navigation .toggled-on li {
	height:auto;
}

.main-navigation .toggled-on li a {
	display: block;
	position:absolute;
	padding:0.5em;
	position: relative;
	text-decoration: none;
	background:transparent;
}

.main-navigation .toggled-on li .dropdown-toggle {
	right: 5px;
}

.main-navigation .toggled-on li .dropdown-toggle:after {
	line-height: 40px;
}

.menu-holder .main-navigation .toggled-on li .dropdown-toggle:after {
	color:#fff;
}

<?php if (get_theme_mod( 'quidus_transparent_menu_home_enable', false ) == true) : ?> 

.home .menu-holder .main-navigation > div > ul > li > .toggled-on {
top:55px;
}

.menu-holder .main-navigation > div > ul > li > .toggled-on,
.home .menu-holder.menu-offset .main-navigation > div > ul > li > .toggled-on {
top:56px;
}

<?php else : ?>

.menu-holder .main-navigation > div > ul > li > .toggled-on {
top:56px;
}

<?php endif; ?>

<?php if ( get_theme_mod('quidus_horizontal_menu_cart_enable', 'default') == false or !class_exists( 'WooCommerce' ) ) : ?>

.horizontal-menu-wrapper {
padding:0 0 0 2em;
}

.toggle-search {
border-right:none;
padding: 0 1.25em;
}

.main-navigation {
	padding-right:0.5em;
}

.search-expand-inner .search-form .search-field {
margin-left:-110px;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_horizontal_menu_search_enable', 'default') == false) : ?>

.menu-cart-wrapper {
    padding:0 0.0625em 0 1.5em;
}

.main-navigation {
    z-index: 1001;
	padding-right:0.5em;
}

.my-social span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.my-social-wrap a:first-child span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
padding-left:1.2em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.my-social-wrap a:last-child span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

<?php endif; ?>

<?php if ((get_theme_mod('quidus_horizontal_menu_search_enable', 'default') == false) and (get_theme_mod('quidus_horizontal_menu_cart_enable', 'default')) == false) : ?>

.my-social-wrap a:last-child span {
font-size:1.9rem !important;
line-height:1.9rem;
padding-right:1.30em;
transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

<?php endif; ?>

.menu-holder {
position:fixed;
z-index:10002;
width:100%;
}

.menu-holder .site-title a {
color:<?php echo esc_attr($quidus_color_main); ?>;
}

.menu-holder .float-right .nav-item {
	border-right:1px solid transparent;
}

<?php if (get_theme_mod( 'quidus_transparent_menu_home_enable', false )) : ?> 

	.home .menu-holder.menu-offset .my-social span,
	.home .menu-holder.menu-offset .main-navigation a,
	.home .menu-holder.menu-offset .toggle-search,
	.home .menu-holder.menu-offset .site-description,
	.home .menu-holder.menu-offset .menu-cart-wrapper .cart-contents,
	.home .menu-holder.menu-offset .site-title a,
	.home .menu-holder.menu-offset .dropdown-toggle:after {
		color:<?php echo esc_attr($quidus_color_main); ?>;
	}
	
	.home .menu-holder.menu-offset .site-description {
		color:<?php echo esc_attr($quidus_color_secondary); ?>;
	}
	
	.home .menu-holder.menu-offset .site-description,
	.home .toggle-search,
	.home .menu-holder.menu-offset .toggle-search,
	.home .menu-holder .site-description {
		transition:0.5s;
		-webkit-transition:0.5s;
	}
	
	.home .menu-holder .my-social span, .home .main-navigation a,
	.home .menu-holder .site-description,
	.home .menu-holder .site-title a,
	.home .toggle-search,
	.home .menu-cart-wrapper .cart-contents, 
	.home .menu-cart-wrapper .cart-contents:focus,
	.home .menu-holder.menu-offset .main-navigation .toggled-on li a {
		color:#fff;
	}
	
	<?php if (get_theme_mod('quidus_site_title_color_enable', false) == true ) : ?>
	
		.home .menu-holder.menu-offset .site-title a {
			color:<?php echo esc_attr($quidus_site_title_color); ?>;
		}
	
	<?php endif; ?>
	
	<?php if (get_theme_mod('quidus_site_description_color_enable', false) == true ) : ?>
	
		.home .menu-holder.menu-offset .site-description {
			color:<?php echo esc_attr($quidus_site_description_color); ?>;
		}
	
	<?php endif; ?>
	
	<?php if (get_theme_mod('quidus_header_social_icons_color_enable', false)) : ?>

		.home .menu-holder.menu-offset .my-social span {
			color: <?php echo esc_attr($quidus_header_social_icons_color); ?>;
		}
		
		.home .menu-holder.menu-offset .my-social span:hover {
		color: <?php echo esc_attr($quidus_color_special); ?>
		}

	<?php endif; ?>

	<?php if (get_theme_mod('quidus_search_icon_color_enable', false)) : ?>

		.home .menu-holder.menu-offset .toggle-search {
			color: <?php echo esc_attr($quidus_search_icon_color); ?>
		}

	<?php endif; ?>

	<?php if (class_exists( 'WooCommerce' ) and get_theme_mod('quidus_menu_cart_icon_color_enable', false)) : ?>

		.home .menu-holder.menu-offset .menu-cart-wrapper .cart-contents {
			color: <?php echo esc_attr($quidus_menu_cart_icon_color); ?>
		}
		
		.menu-holder .header-menu-cart-count {
			color:#fff;
		}

	<?php endif; ?>
	
	@media screen and (min-width: 955px) {
		
		<?php if (get_theme_mod('quidus_menu_color_enable', false) == true ) : ?>

		.home .menu-holder.menu-offset .main-navigation a,
		.home .menu-holder.menu-offset .main-navigation > div > ul > li > .dropdown-toggle::after {
			color: <?php echo esc_attr($quidus_menu_color); ?>
		}

		<?php endif; ?>
	
		.home .menu-holder .dropdown-toggle::after {
			color:#fff;
			position: relative;
		}

		.home .menu-holder .dropdown-toggle:after {
			color:#fff;
			position: relative;
		}
		
		.home .menu-holder .horizontal-menu-wrapper {
			border-bottom:1px solid rgba(255,255,255,0.25);
		}
		
		.home .menu-holder.menu-offset .horizontal-menu-wrapper {
			border-bottom:none;
		}
		
		.home .menu-holder .float-right .nav-item {
			border-right:1px solid rgba(255,255,255,0.25);
		}
		
		.home .menu-holder .float-right .nav-item:last-child {
			border-right:1px solid transparent;
		}
		
		.home .menu-holder.menu-offset .float-right .nav-item {
			border-right:1px solid transparent;
		}
	
	}
	
	.home .menu-holder {
		background:transparent;
	}
	
	.menu-holder.menu-offset {
		background:<?php if (get_theme_mod('quidus_menu_background_color_enable', false)) : echo esc_attr($quidus_menu_background_color); else : echo esc_attr($quidus_color_content_background); endif; ?>;
	}

<?php endif; ?>

.header-menu-cart-count {
	color:#fff;
}

}

@media screen and (max-width: 955px) {

.main-navigation .menu-item-description {
color: <?php echo esc_attr($quidus_color_secondary); ?>;
}

.main-navigation ul,
.main-navigation li,
.main-navigation > div
{
	background:<?php echo esc_attr($quidus_color_special); ?>;
}

.home-header-text {
color:#fff;
}

.site-logo {
margin:0 auto 1em auto;
max-height:auto;
}

.site-header {
	border-bottom: 0;
	margin: 3em 0;
	padding: 0 1.5em;
}

.site-branding {
	min-height: 0;
	padding: 0;
	text-align:center;
}

.site-branding {
	min-height: 2em;
	position: relative;
}

.site-title {
	line-height: 1.2308;
	padding-bottom:0;
}

.site-description {
	display: block;
	font-weight: 400;
	line-height: 1.6;
	opacity: 1;
}
 
.main-navigation {
	margin: 0 1.5em 3em;
	line-height:1.6;
	border-top:1px solid rgba(60,60,60,0.15);
	border-right:1px solid rgba(60,60,60,0.15);
	border-bottom:1px solid rgba(60,60,60,0.15);
}

.main-navigation a {
	display: block;
	position:absolute;
	padding: 0.75em 0.75em 0.75em 0;
	position: relative;
	margin-left:0.75em;
	text-decoration: none;
	background:transparent;
	font-size: 16px;
	font-size: 1.6rem;
}

.main-navigation ul {
	list-style: none;
	margin: 0;
}

.main-navigation ul ul {
	display: none;
	margin-left: 10px;
}

.main-navigation ul .toggled-on {
	display: block;
	position:relative;
	z-index:9999;
}

.main-navigation li {
	position: relative;
	border-top:1px solid rgba(60,60,60,0.15);
	border-left:1px solid rgba(60,60,60,0.15);
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
}

.main-navigation li:hover,
.main-navigation li:focus {
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
	background:rgba(60,60,60,0.15);
}

.main-navigation ul li a:hover ul {
	display: block;
}

.main-navigation .nav-menu > ul > li:first-child,
.main-navigation .nav-menu > li:first-child {
	border-top: 0;
}

.main-navigation .page_item_has_children > a,
.main-navigation .menu-item-has-children > a {
	padding-right: 32px;
}

.main-navigation .menu-item-description {
	font-size: 14px;
	font-size: 1.4rem;
	font-weight: 400;
	line-height: 1.4;
	margin-top: 0.5em;
}

.no-js .main-navigation ul ul {
	display: block;
}

.dropdown-toggle {
	background-color: transparent;
	border: 1px solid rgba(60,60,60,0);
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	content: "";
	height: 32px;
	padding: 0;
	position: absolute;
	text-transform: lowercase; /* Stop screen readers to read the text as capital letters */
	top: 7px;
	right: 0;
	width: 32px;
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.dropdown-toggle:after {
	content: "\f431";
	font-size: 16px;
	line-height: 24px;
	position: relative;
	top: 0;
	left: 1px;
	width: 24px;
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.dropdown-toggle:hover,
.dropdown-toggle:focus {
	border: 1px solid rgba(60,60,60,0);
	background-color: transparent;
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
}

.dropdown-toggle.toggle-on:after {
	content: "\f432";
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.menu-holder {
position:relative;
width:100%;
}

.float-right {
display:none;
}

.float-right.toggled-on {
display:block;
}

.float-right .nav-item {
padding:0.5em 0;
}

}

.site-logo {
max-height:auto;
display: inline;
max-width:<?php if ( get_theme_mod('quidus_logo_max_width_desktop') == '' ) : echo esc_attr('100px'); else : echo esc_attr($quidus_logo_max_width_desktop); ?>px <?php endif; ?>;
}

.site-logo img {
max-height:auto;
display: inline;
max-width:<?php if ( get_theme_mod('quidus_logo_max_width_desktop') == '' ) : echo esc_attr('100px'); else : echo esc_attr($quidus_logo_max_width_desktop); ?>px <?php endif; ?>;
}


@media screen and (min-width: 768px) and (max-width: 955px) {
 
 .site-logo {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_tablet_large * 4); ?>px <?php endif; ?>;
}

.site-logo img {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_tablet_large * 4); ?>px <?php endif; ?>;
}

.woocommerce .site {
margin-top:0;
}

.site-header {
margin: 0;
padding: 3em;
}

.float-right {
    margin: 1.5em 1.5em 0;
    line-height: 1.6;
	padding:2.5em 1.5em;
}

.main-navigation {
margin:0;
border:none;
}

.main-navigation li {
border-left:none;
}

.my-social-wrap {
margin-right:-1.35em;
}

.my-social-wrap span {
line-height:3.9rem;
font-size:2.3rem;
}

.float-right .toggle-search {
display:none;
}

.float-right .search-form {
max-width:100%;
margin:0 auto;
}

.float-right .search-submit {
display:none;
}

.menu-cart-wrapper {
max-width:100%;
margin:0 auto;
text-align:center;
height: 27px;
line-height: 35px;
}

.cart-contents {
font-size: 2.3rem;
margin:0 auto;
}

.header-menu-cart-count {
position:absolute;
border-radius:100%;
-moz-border-radius:100%;
-webkit-border-radius:100%;
height:17px;
width:17px;
padding-left:1px;
line-height:1.7;
font-size:1rem !important;
left:1.4em;
top:-0.50em;
}

.woocommerce.woocommerce-wishlist .site-content {
margin-bottom:0em;
}

.site-description,
.site-title {
	padding-right: 90px;
	text-align:left;
}

.site-description {
	padding-bottom: 0;
}

}

 @media screen and (min-width: 480px) and (max-width: 768px) {
 
 .site-logo {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_tablet_large * 3); ?>px <?php endif; ?>;
}

.site-title {
 	padding-top:0;
} 

.site-logo img {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_small') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_tablet_small * 3); ?>px <?php endif; ?>;
	padding-top:0.25em;
}

.site-header {
margin: 0;
padding: 2em 3em;
}

.float-right{
    margin: 1.5em 1.5em 0;
    line-height: 1.6;
	padding:1.5em 1.5em;
}

.main-navigation li {
border-left:none;
}

.main-navigation {
margin:0 auto;
border:none;
width:100%;
}

.my-social-wrap {
margin-right:-1.4em;
}

.my-social-wrap span {
line-height:3.9rem;
font-size:2.3rem;
}

.float-right .toggle-search {
display:none;
}

.float-right .search-form {
width:100%;
margin:0 auto;
}

.float-right .search-submit {
display:none;
}

.menu-cart-wrapper {
max-width:100%;
height: 27px;
line-height: 35px;
margin:0 auto;
text-align:center;
}

.cart-contents {
font-size: 2.3rem;
margin:0 auto;
}

.woocommerce .site {
margin-top:0;
}

.header-menu-cart-count {
position:absolute;
border-radius:100%;
-moz-border-radius:100%;
-webkit-border-radius:100%;
height:17px;
width:17px;
padding-left:1px;
line-height:1.7;
font-size:1rem !important;
left:1.4em;
top:-0.50em;
}

.woocommerce .site-content {
padding-top:0 !important;
}

.woocommerce.woocommerce-wishlist .site-content {
margin-bottom:0em;
}

.site-description,
.site-title {
	padding-right: 75px;
	text-align:left;
}

.site-description {
	padding-bottom: 0;
}

}

 @media screen and (max-width: 480px) {
 
.site-logo {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_tablet_large') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_tablet_large * 2); ?>px <?php endif; ?>;
margin: 0.5em auto 0.5em;
padding-top:0;
}

.site-title {
padding-top:0;
}

.site-branding {
text-align:left;
}

.site-logo img {
max-height:auto;
display: inline;
max-width: <?php if ( get_theme_mod('quidus_logo_max_width_mobile') == '' ) : echo esc_attr('150'); else : echo esc_attr($quidus_logo_max_width_mobile * 2); ?>px <?php endif; ?>;
padding-top:0.25em; 
}

.main-navigation li {
border-left:none;
}

.site-header {
margin: 0;
padding: 2em;
}

.float-right{
    margin: 1em 1em 0;
    line-height: 1.6;
	padding:1.5em 1em;
}

.main-navigation {
margin:0;
border:none;
width:100%;
}

.my-social-wrap {
margin-right:-1.5em;
}

.my-social-wrap span {
line-height:3.5rem;
font-size: 2rem;
}

.float-right .toggle-search {
display:none;
}

.float-right .search-form {
max-width:100%;
margin:0 auto;
}

.float-right .search-submit {
display:none;
}

.menu-cart-wrapper {
max-width:100%;
margin:0 auto;
text-align:center;
height: 27px;
line-height: 35px;
}

.cart-contents {
font-size: 1.9rem;
margin:0 auto;
}

.woocommerce .site {
margin-top:0;
}

.header-menu-cart-count {
position:absolute;
border-radius:100%;
-moz-border-radius:100%;
-webkit-border-radius:100%;
height:17px;
width:17px;
padding-left:1px;
line-height:1.7;
font-size:1rem !important;
left:1.4em;
top:-0.50em;
}

.main-navigation ul {
    border-top: none;
    border-bottom: none;
}

.woocommerce .site-content {
padding-top:0 !important;
}

.woocommerce.woocommerce-wishlist .site-content {
margin-bottom:0em;
}

.site-description,
.site-title {
	padding-right: 60px;
}

.site-description {
	padding-bottom: 0;
}

}

<?php endif;

if ( has_nav_menu( 'secondary' ) ) : ?>

.home-header-text {
color:#fff;
}
 
.secondary-navigation > div {
	line-height:1.6;
	border:1px solid rgba(60,60,60,0.15);
}

.secondary-navigation a {
	display: block;
	position:absolute;
	padding: 0.75em 0.75em 0.75em 0;
	position: relative;
	margin-left:0.75em;
	text-decoration: none;
	background:transparent;
	font-size: 16px;
	font-size: 1.6rem;
}

.secondary-navigation ul {
	list-style: none;
	margin: 0;
}

.secondary-navigation ul ul {
	display: none;
	margin-left: 10px;
}

.secondary-navigation ul .toggled-on {
	display: block;
}

.secondary-navigation li {
	position: relative;
	border-top:1px solid rgba(60,60,60,0.15);
	border-left:1px solid rgba(60,60,60,0.15);
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
}

.secondary-navigation li:hover,
.secondary-navigation li:focus {
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
	background:rgba(60,60,60,0.15);
}

.secondary-navigation .nav-menu > ul > li:first-child,
.secondary-navigation .nav-menu > li:first-child {
	border-top: 0;
}

.secondary-navigation .page_item_has_children > a,
.secondary-navigation .menu-item-has-children > a {
	padding-right: 32px;
}

.secondary-navigation .menu-item-description {
	font-size: 14px;
	font-size: 1.4rem;
	font-weight: 400;
	line-height: 1.4;
	margin-top: 0.5em;
}

.no-js .secondary-navigation ul ul {
	display: block;
}

.secondary .dropdown-toggle {
	background-color: transparent;
	border: 1px solid rgba(60,60,60,0);
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	content: "";
	height: 32px;
	padding: 0;
	position: absolute;
	text-transform: lowercase; /* Stop screen readers to read the text as capital letters */
	top: 4px;
	right: 0;
	width: 32px;
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
}

.dropdown-toggle:after {
	content: "\f431";
	font-size: 16px;
	line-height: 24px;
	position: relative;
	top: 0;
	left: 1px;
	width: 24px;
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

.dropdown-toggle:hover,
.dropdown-toggle:focus {
	border: 1px solid rgba(60,60,60,0);
	background-color: transparent;
	transition:0.5s;
	-moz-transition:0.5s;
	-webkit-transition:0.5s;
}

.dropdown-toggle.toggle-on:after {
	content: "\f432";
	transition:0.5s;
-moz-transition:0.5s;
-webkit-transition:0.5s;
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_site_title_color_enable', false) == true ) : ?>

.menu-holder .site-title a {
color: <?php echo esc_attr($quidus_site_title_color); ?>
}

<?php endif; ?>

.page-links a
{
	background-color: <?php echo esc_attr($quidus_color_main); ?>;
	color:#fff;
}

.page-links > .page-links-title {
    margin: 0px;
    padding: 0px 0.585em;
	line-height:1.6;
	font-size: 1.6rem;
}

.page-links a span {
    margin: 0;
    padding: 0;
	line-height:1.6;
	font-size: 1.6rem;
	letter-spacing: 0px;
}

.pagination .page-numbers.current {
    text-transform: uppercase;
    font-weight: 700;
}

.pagination .page-numbers {
    line-height: 3.2em;
    padding: 0px 0.6667em;
	margin: 0;
	font-size: 1.6rem;
}

.pagination .prev, .pagination .next {
    color: #FFF;
    display: inline-block;
    overflow: hidden;
    padding: 0px;
    position: absolute;
}

.comment-list + .comment-respond {
	border-top: 1px solid rgba(60,60,60,0.15);;
}

.comment-list {
	list-style: none;
	margin: 1em 0 0 0;
	padding-top:1em !important;
	border-top:1px solid rgba(60,60,60,0.15);
}

.comment-list > li {
	padding-top:1em !important;
	padding-bottom:0em !important;
	margin-top:1em;
	margin-bottom:1em;
	border-top:1px solid rgba(60,60,60,0.15);
}

.comment-list > li:first-child {
	padding-top:0em !important;
	margin-top:0em;
	margin-bottom:1em;
	border-top:none;
}

.comment-list .children {
	list-style: none;
	margin: 0;
}

.comment-list .children > li {
	margin-left: 1em;
	padding-top:1em !important;
	padding-bottom:0em !important;
	margin-top:1em;
	margin-bottom:0em;
	border-top:1px solid rgba(60,60,60,0.15);
	border-left:1px solid rgba(60,60,60,0.15);
	padding-left:1em
}

.sticky-post {
    color: #FFF;
    font-weight: 700;
    letter-spacing: 0.04em;
    padding: 0 0.5em;
    position: absolute;
    top: -0.07em;
    right: 0px;
    text-transform: uppercase;
    font-size: 2.7em;
    line-height: 0;
	margin:0;
}

@media screen and (max-width: 468px) {

.page-links > .page-links-title {
	font-size: 1.4rem;
}

}

<?php if ( is_active_widget( '', '', 'quidus_skills' ) ) : require get_template_directory() . '/inc/SO-extensions/Widgets/Widget_Styles/Skills_Styles.php'; endif; ?>
<?php if ( is_active_widget( '', '', 'quidus-team' ) ) : require get_template_directory() . '/inc/SO-extensions/Widgets/Widget_Styles/Team_Styles.php'; endif; ?>
<?php if ( is_active_widget( '', '', 'quidus-services' ) ) : require get_template_directory() . '/inc/SO-extensions/Widgets/Widget_Styles/Services_Styles.php'; endif; ?>
<?php if ( is_active_widget( '', '', 'quidus-pricing-table' ) ) : require get_template_directory() . '/inc/SO-extensions/Widgets/Widget_Styles/Pricing_Tables_Styles.php'; endif; ?>
<?php if ( is_active_widget( '', '', 'quidus-testimonials' ) ) : require get_template_directory() . '/inc/SO-extensions/Widgets/Widget_Styles/Testimonials_Styles.php'; endif; ?>
<?php if ( is_active_widget( '', '', 'quidus-recent-posts' ) ) : require get_template_directory() . '/inc/SO-extensions/Widgets/Widget_Styles/Recent_Posts_Styles.php'; endif; ?>
<?php if ( is_active_widget( '', '', 'quidus-featured-posts' ) ) : require get_template_directory() . '/inc/SO-extensions/Widgets/Widget_Styles/Featured_Posts_Styles.php'; endif; ?>
<?php if ( is_active_widget( '', '', 'quidus-facts' ) ) : require get_template_directory() . '/inc/SO-extensions/Widgets/Widget_Styles/Facts_Styles.php'; endif; ?>
<?php if ( is_active_widget( '', '', 'quidus-cta' ) ) : require get_template_directory() . '/inc/SO-extensions/Widgets/Widget_Styles/CTA_Styles.php'; endif; ?>
<?php if ( is_active_widget( '', '', 'quidus-clients' ) ) : require get_template_directory() . '/inc/SO-extensions/Widgets/Widget_Styles/Clients_Styles.php'; endif; ?>

<?php if (preg_match('~MSIE|Internet Explorer~i', $_SERVER['HTTP_USER_AGENT'])) : ?>

.clients_style_1 .client-info-wrap-outer,
.clients_style_1 .client-info-wrap-outer:hover {
transition:0s
}

.clients_style_2 .client-info-wrap-outer .client-info-wrap-inner,
.clients_style_1 .client-info-wrap-outer .client-info-wrap-inner {
visibility:hidden
}

.clients_style_2 .client-info-wrap-outer:hover .client-info-wrap-inner,
.clients_style_1 .client-info-wrap-outer:hover .client-info-wrap-inner {
visibility:visible
}

.main-navigation li {
height:57px
}

<?php if (get_theme_mod( 'quidus_transparent_menu_home_enable', false ) == true) : ?> 
	
	@media screen and (min-width: 955px) {

		.home .menu-holder .dropdown-toggle:after {
			color:#fff;
			position: relative
		}
		
				.home .menu-holder.menu-offset .dropdown-toggle:after {
			color:<?php echo esc_attr($quidus_color_main); ?>
		}
	
	}

<?php endif; ?>

<?php endif; ?>

<?php if (class_exists( 'Kirki' ) and $footer_background_image != '') : ?>

@media screen and (min-width: 955px) {
	.footer-widgets-wrapper {
		background-size:cover;
		background-repeat: no-repeat;
		background-position: center center;
		background-image:url('<?php echo esc_url($footer_background_image); ?>')
	}
}
	
<?php endif; ?>

<?php if (get_theme_mod('quidus_copyright_background_color_enable', false) == true) : ?>

.copyright-wrap {
background:<?php echo esc_attr($copyright_background_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_copyright_color_enable', false) == true) : ?>

.copyright-wrap,
.copyright-wrap span,
.copyright-wrap p,
.copyright-wrap h1,
.copyright-wrap h2,
.copyright-wrap h3,
.copyright-wrap h4,
.copyright-wrap h5,
.copyright-wrap h6,
.copyright-wrap blockquote,
.copyright-wrap blockquote cite,
.copyright-wrap blockquote small {
color:<?php echo esc_attr($copyright_color); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_copyright_link_color_enable', false) == true) : ?>

.footer-link,
.copyright-wrap a,
.footer-social span {
color:<?php echo esc_attr($quidus_color_copyright_link); ?>
}

<?php endif; ?>

.footer-link:hover,
.copyright-wrap a:hover {
color:<?php echo esc_attr($quidus_color_special); ?>
}

<?php if (get_theme_mod('quidus_copyright_social_icon_color_enable', false) == true) : ?>

.footer-social span {
color:<?php echo esc_attr($quidus_color_copyright_social_icon); ?>
}

<?php endif; ?>

<?php if (get_theme_mod('quidus_copyright_link_hover_color_enable', false) == true) : ?>

.footer-link:hover,
.copyright-wrap a:hover,
.footer-social span:hover {
color:<?php echo esc_attr($quidus_color_copyright_link_hover); ?>
}

<?php endif; ?>

</style>

<?php

}

add_action('wp_head', 'quidus_css_customizer');

if( class_exists( 'Kirki' ) ) {

function quidus_author_social() {
	
	global $social_networks;

	echo '<div class="author-social-wrap">';
	foreach ($social_networks as $network) {
	if (lcfirstc($network) == 'feed' or lcfirstc($network) == 'polldaddy') {continue;}
	$networks = array(); $networks['author_' . lcfirstc($network)] = get_theme_mod('author_' . lcfirstc($network));
		if(strpos($networks['author_' . lcfirstc($network)], lcfirstc($network)) !== false and (lcfirstc($network) != 'feed' or lcfirstc($network) != 'polldaddy')) { echo '<a class="author-social" href="' . esc_url($networks['author_' . lcfirstc($network)]) . '"><span class="fa fa-' . lcfirstc($network) . '"></span></a>'; }
	
	} $google_network = get_theme_mod('author_googleplus'); $rss = get_theme_mod('author_feed'); $polldaddy = get_theme_mod('author_polldaddy');
	if(strpos($google_network, 'plus.google.com') !== false){ echo '<a class="author-social" href="' . esc_url($google_network) . '"><span class="fa fa-google-plus"></span></a>'; }
	if(strpos($rss, 'feed') !== false){ echo '<a class="author-social" href="' . esc_url($rss) . '"><span class="fa fa-rss"></span></a>'; }
	if(strpos($polldaddy, 'polldaddy') !== false){ echo '<a class="author-social" href="' . esc_url($polldaddy) . '"><span class="genericon genericon-polldaddy"></span></a>'; }
	echo '</div>';
	
}

function quidus_my_social() {
	
	global $social_networks; 
	global $linkscount; 
	
	foreach ($social_networks as $network) {
		$networks = array(); $networks['my_' . lcfirstc($network)] = get_theme_mod('my_' . lcfirstc($network));
		if(strpos($networks['my_' . lcfirstc($network)], lcfirstc($network)) !== false) {
		$linkscount++;
		}
	}
	
	if ($linkscount > 0) {
	echo '<div class="my-social-wrap">';
	foreach ($social_networks as $network) {
		if (lcfirstc($network) == 'feed' or lcfirstc($network) == 'polldaddy') {continue;}
	$networks['my_' . lcfirstc($network)] = get_theme_mod('my_' . lcfirstc($network));
		if(strpos($networks['my_' . lcfirstc($network)], lcfirstc($network)) !== false) { echo '<a class="my-social" href="' . esc_url($networks['my_' . lcfirstc($network)]) . '"><span class="fa fa-' . lcfirstc($network) . '"></span></a>'; }
	
	} $google_network = get_theme_mod('my_googleplus'); $rss = get_theme_mod('my_feed'); $polldaddy = get_theme_mod('my_polldaddy');
	if(strpos($google_network, 'plus.google.com') !== false){ echo '<a class="my-social" href="' . esc_url($google_network) . '"><span class="fa fa-google-plus"></span></a>'; }
	if(strpos($rss, 'feed') !== false){ echo '<a class="my-social" href="' . esc_url($rss) . '"><span class="fa fa-rss"></span></a>'; }
	if(strpos($polldaddy, 'polldaddy') !== false){ echo '<a class="my-social" href="' . esc_url($polldaddy) . '"><span class="genericon genericon-polldaddy"></span></a>'; }
	echo '</div>';
	}
}

function quidus_footer_social() {
	
	global $social_networks; 
	echo '<div class="footer-social-wrap">';
	foreach ($social_networks as $network) {
	if (lcfirstc($network) == 'feed' or lcfirstc($network) == 'polldaddy') {continue;}
	$networks = array(); $networks['footer_' . lcfirstc($network)] = get_theme_mod('footer_' . lcfirstc($network));
		if(strpos($networks['footer_' . lcfirstc($network)], lcfirstc($network)) !== false and (lcfirstc($network) != 'feed' or lcfirstc($network) != 'polldaddy')) { echo '<a class="footer-social" href="' . esc_url($networks['footer_' . lcfirstc($network)]) . '"><span class="fa fa-' . lcfirstc($network) . '"></span></a>'; }
	
	} $google_network = get_theme_mod('footer_googleplus'); $rss = get_theme_mod('footer_feed'); $polldaddy = get_theme_mod('footer_polldaddy');
	if(strpos($google_network, 'plus.google.com') !== false){ echo '<a class="footer-social" href="' . esc_url($google_network) . '"><span class="fa fa-google-plus"></span></a>'; }
	if(strpos($rss, 'feed') !== false){ echo '<a class="footer-social" href="' . esc_url($rss) . '"><span class="fa fa-rss"></span></a>'; }
	if(strpos($polldaddy, 'polldaddy') !== false){ echo '<a class="footer-social" href="' . esc_url($polldaddy) . '"><span class="genericon genericon-polldaddy"></span></a>'; }
	echo '</div>';
	
}

}

/**
 * Binds JS handlers to make the Customizer preview reload changes asynchronously.
 *
 */
function quidus_customize_preview_js() {
	wp_enqueue_script( 'quidus-customize-preview', get_template_directory_uri() . '/js/customize-preview.js', array( 'customize-preview' ), '20141216', true );
}
add_action( 'customize_preview_init', 'quidus_customize_preview_js' );

?>